namespace CRM_Perf_BenchMark
{
    using System;
    using Microsoft.VisualStudio.TestTools.WebTesting;

    public class AdvancedFind_AdvFind_aspx : CrmRequest
    {
        // server URL
        private const string url = "/AdvancedFind/AdvFind.aspx";

        // querystring parameters
        public int EntityCode
        {
            set
            {
                AddQueryStringParameter("EntityCode", value.ToString());
            }
        }
        public Guid QueryId
        {
            set
            {
                AddQueryStringParameter("QueryId", value.ToString("B"));
            }
        }
        public int ViewType
        {
            set
            {
                AddQueryStringParameter("ViewType", value.ToString());
            }
        }


        public AdvancedFind_AdvFind_aspx()
            : base(url)
        {
        }
        public AdvancedFind_AdvFind_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class _common_windowinformation_windowinformation_aspx : CrmRequest
    {
        private const string url = "/_common/windowinformation/windowinformation.aspx";

        public _common_windowinformation_windowinformation_aspx()
            : base(url)
        {
        }
        public _common_windowinformation_windowinformation_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class _Common_icon_aspx : CrmRequest
    {
        private const string url = "/_Common/icon.aspx";

        //QueryStringParameters
        public int objectTypeCode
        {
            set
            {
                AddQueryStringParameter("objectTypeCode", value.ToString());
            }
        }

        public string iconType
        {
            set
            {
                AddQueryStringParameter("iconType", value);
            }
        }

        public int inProduction
        {
            set
            {
                AddQueryStringParameter("inProduction", value.ToString());
            }
        }

        public int cache
        {
            set
            {
                AddQueryStringParameter("cache", value.ToString());
            }
        }

        public _Common_icon_aspx()
            : base(url)
        {
        }
        public _Common_icon_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class _common_styles_fonts_aspx : CrmRequest
    {
        private const string url = "/_common/styles/fonts.aspx";

        public _common_styles_fonts_aspx()
            : base(url)
        {
        }
        public _common_styles_fonts_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class AdvancedFind_fetchData_aspx : CrmRequest
    {
        private const string url = "/AdvancedFind/fetchData.aspx";
        public AdvancedFind_fetchData_aspx()
            : base(url)
        {
        }
        public AdvancedFind_fetchData_aspx(CRMEntity user)
            : base(url, user)
        {
        }

        // querystring parameters
        public int ListMemberType
        {
            set
            {
                AddQueryStringParameter("ListMemberType", value.ToString());
            }
        }

        public Guid ListId
        {
            set
            {
                AddQueryStringParameter("ListId", value.ToString("B"));
            }
        }

        public string InvokeType
        {
            set
            {
                AddQueryStringParameter("InvokeType", value);
            }
        }

        public string invoker
        {
            set
            {
                AddQueryStringParameter("invoker", value);
            }
        }

        public int restrictOtherEntities
        {
            set
            {
                AddQueryStringParameter("restrictOtherEntities", value.ToString());
            }
        }

        public bool dispActions
        {
            set
            {
                AddQueryStringParameter("dispActions", value.ToString());
            }
        }


        // form body parameters
        public string FetchXml
        {
            set
            {
                AddFormParameter("FetchXml", value);
            }
        }
        public string LayoutXml
        {
            set
            {
                AddFormParameter("LayoutXml", value);
            }
        }
        public string EntityName
        {
            set
            {
                AddFormParameter("EntityName", value);
            }
        }
        public Guid ViewId
        {
            set
            {
                AddFormParameter("ViewId", value.ToString("B"));
            }
        }
        public int ViewType
        {
            set
            {
                AddFormParameter("ViewType", value.ToString());
            }
        }
        public string SortCol
        {
            set
            {
                AddFormParameter("SortCol", value);
            }
        }
        public bool SortDescend
        {
            set
            {
                AddFormParameter("SortDescend", value.ToString());
            }
        }
        public int otc
        {
            set
            {
                AddFormParameter("otc", value.ToString());
            }
        }

        public Guid DefaultAdvFindViewId
        {
            set
            {
                AddFormParameter("DefaultAdvFindViewId", value.ToString("B"));
            }
        }

        public Guid QueryId
        {
            set
            {
                AddQueryStringParameter("QueryId", value.ToString("B"));
            }
        }

        public int EntityCode
        {
            set
            {
                AddQueryStringParameter("EntityCode", value.ToString());
            }
        }
    }

    public class _root_homepage_aspx : CrmRequest
    {
        // server URL
        private const string url = "/_root/homepage.aspx";

        // querystring parameters
        public int etc
        {
            set
            {
                AddQueryStringParameter("etc", value.ToString());
            }
        }

        public _root_homepage_aspx()
            : base(url)
        {
        }
        public _root_homepage_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class sfa_accts_edit_aspx : CrmRequest
    {
        // server URL
        public const string url = "/sfa/accts/edit.aspx";

        // querystring parameters
        public string id
        {
            set
            {
                AddQueryStringParameter("id", value);
            }
        }

        // formbody parameters

        public Guid assignOwnerId
        {
            set
            {
                AddFormParameter("assignOwnerId", value.ToString("B"));
            }
        }

        public int assignOwnerType
        {
            set
            {
                AddFormParameter("assignOwnerType", value.ToString());
            }
        }

        public string crmFormSubmitXml
        {
            set
            {
                AddFormParameter("crmFormSubmitXml", value);
            }
        }

        public int crmFormSubmitMode
        {
            set
            {
                AddFormParameter("crmFormSubmitMode", value.ToString());
            }
        }

        public string crmFormSubmitId
        {
            set
            {
                AddFormParameter("crmFormSubmitId", value.ToString());
            }
        }

        public int crmFormSubmitObjectType
        {
            set
            {
                AddFormParameter("crmFormSubmitObjectType", value.ToString());
            }
        }

        public int crmFormSubmitSecurity
        {
            set
            {
                AddFormParameter("crmFormSubmitSecurity", value.ToString());
            }
        }

        public int crmFormSubmitOnline
        {
            set
            {
                AddFormParameter("crmFormSubmitOnline", value.ToString());
            }
        }


        public string CRMWRPCToken
        {
            set
            {
                AddFormParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public bool CrmFormUserModified
        {
            set
            {
                AddFormParameter("crmFormUserModified", value.ToString());
            }
        }

        public sfa_accts_edit_aspx()
            : base(url)
        {
        }
        public sfa_accts_edit_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class sfa_comps_edit_aspx : CrmRequest
    {
        // server URL
        public const string url = "/sfa/comps/edit.aspx";

        // querystring parameters
        public string id
        {
            set
            {
                AddQueryStringParameter("id", value);
            }
        }

        // formbody parameters

        public Guid assignOwnerId
        {
            set
            {
                AddFormParameter("assignOwnerId", value.ToString("B"));
            }
        }

        public int assignOwnerType
        {
            set
            {
                AddFormParameter("assignOwnerType", value.ToString());
            }
        }

        public string crmFormSubmitXml
        {
            set
            {
                AddFormParameter("crmFormSubmitXml", value);
            }
        }

        public int crmFormSubmitMode
        {
            set
            {
                AddFormParameter("crmFormSubmitMode", value.ToString());
            }
        }

        public string crmFormSubmitId
        {
            set
            {
                AddFormParameter("crmFormSubmitId", value.ToString());
            }
        }

        public int crmFormSubmitObjectType
        {
            set
            {
                AddFormParameter("crmFormSubmitObjectType", value.ToString());
            }
        }

        public int crmFormSubmitSecurity
        {
            set
            {
                AddFormParameter("crmFormSubmitSecurity", value.ToString());
            }
        }

        public int crmFormSubmitOnline
        {
            set
            {
                AddFormParameter("crmFormSubmitOnline", value.ToString());
            }
        }


        public string CRMWRPCToken
        {
            set
            {
                AddFormParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public bool CrmFormUserModified
        {
            set
            {
                AddFormParameter("crmFormUserModified", value.ToString());
            }
        }

        public sfa_comps_edit_aspx()
            : base(url)
        {
        }
        public sfa_comps_edit_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class userdefined_edit_aspx : CrmRequest
    {
        // server URL
        public const string url = "/userdefined/edit.aspx";

        // querystring parameters
        public string id
        {
            set
            {
                AddQueryStringParameter("id", value);
            }
        }

        // formbody parameters

        public Guid assignOwnerId
        {
            set
            {
                AddFormParameter("assignOwnerId", value.ToString("B"));
            }
        }

        public int assignOwnerType
        {
            set
            {
                AddFormParameter("assignOwnerType", value.ToString());
            }
        }

        public string crmFormSubmitXml
        {
            set
            {
                AddFormParameter("crmFormSubmitXml", value);
            }
        }

        public int crmFormSubmitMode
        {
            set
            {
                AddFormParameter("crmFormSubmitMode", value.ToString());
            }
        }

        public string crmFormSubmitId
        {
            set
            {
                AddFormParameter("crmFormSubmitId", value.ToString());
            }
        }

        public int crmFormSubmitObjectType
        {
            set
            {
                AddFormParameter("crmFormSubmitObjectType", value.ToString());
            }
        }

        public int crmFormSubmitSecurity
        {
            set
            {
                AddFormParameter("crmFormSubmitSecurity", value.ToString());
            }
        }

        public int crmFormSubmitOnline
        {
            set
            {
                AddFormParameter("crmFormSubmitOnline", value.ToString());
            }
        }


        public string CRMWRPCToken
        {
            set
            {
                AddFormParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public int etc
        {
            set
            {
                AddQueryStringParameter("etc", value.ToString());
            }
        }

        public userdefined_edit_aspx()
            : base(url)
        {
        }
        public userdefined_edit_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class sfa_accts_areas_aspx : CrmRequest
    {
        // server URL
        public const string url = "/sfa/accts/areas.aspx";

        public Guid oId
        {
            set
            {
                AddQueryStringParameter("oId", value.ToString("B"));
            }
        }

        public int oType
        {
            set
            {
                AddQueryStringParameter("oType", value.ToString());
            }
        }

        public long security
        {
            set
            {
                AddQueryStringParameter("security", value.ToString());
            }
        }

        public string tabSet
        {
            set
            {
                AddQueryStringParameter("tabSet", value);
            }
        }

        public sfa_accts_areas_aspx()
            : base(url)
        {
        }
        public sfa_accts_areas_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class sfa_quotes_areas_aspx : CrmRequest
    {
        // server URL
        public const string url = "/sfa/quotes/areas.aspx";

        public Guid oId
        {
            set
            {
                AddQueryStringParameter("oId", value.ToString("B"));
            }
        }

        public int oType
        {
            set
            {
                AddQueryStringParameter("oType", value.ToString());
            }
        }

        public long security
        {
            set
            {
                AddQueryStringParameter("security", value.ToString());
            }
        }

        public string tabSet
        {
            set
            {
                AddQueryStringParameter("tabSet", value);
            }
        }

        public sfa_quotes_areas_aspx()
            : base(url)
        {
        }
        public sfa_quotes_areas_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class sfa_opps_edit_aspx : CrmRequest
    {
        // server URL
        public const string url = "/sfa/opps/edit.aspx";

        // querystring parameters
        public string id
        {
            set
            {
                AddQueryStringParameter("id", value);
            }
        }

        // formbody parameters
        public string crmFormSubmitXml
        {
            set
            {
                AddFormParameter("crmFormSubmitXml", value);
            }
        }

        public int crmFormSubmitMode
        {
            set
            {
                AddFormParameter("crmFormSubmitMode", value.ToString());
            }
        }

        public Guid crmFormSubmitId
        {
            set
            {
                AddFormParameter("crmFormSubmitId", value.ToString("B"));
            }
        }

        public bool crmFormUserModified
        {
            set
            {
                AddFormParameter("crmFormUserModified", value.ToString());
            }
        }

        public Guid assignOwnerId
        {
            set
            {
                AddFormParameter("assignOwnerId", value.ToString("B"));
            }
        }

        public int assignOwnerType
        {
            set
            {
                AddFormParameter("assignOwnerType", value.ToString());
            }
        }

        public int crmFormSubmitObjectType
        {
            set
            {
                AddFormParameter("crmFormSubmitObjectType", value.ToString());
            }
        }

        public int crmFormSubmitSecurity
        {
            set
            {
                AddFormParameter("crmFormSubmitSecurity", value.ToString());
            }
        }

        public int crmFormSubmitOnline
        {
            set
            {
                AddFormParameter("crmFormSubmitOnline", value.ToString());
            }
        }


        public string CRMWRPCToken
        {
            set
            {
                AddFormParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public sfa_opps_edit_aspx()
            : base(url)
        {
        }
        public sfa_opps_edit_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }


    public class sfa_leads_edit_aspx : CrmRequest
    {
        // server URL
        public const string url = "/sfa/leads/edit.aspx";

        // querystring parameters
        public string id
        {
            set
            {
                AddQueryStringParameter("id", value);
            }
        }

        // formbody parameters
        public string crmFormSubmitXml
        {
            set
            {
                AddFormParameter("crmFormSubmitXml", value);
            }
        }

        public int crmFormSubmitMode
        {
            set
            {
                AddFormParameter("crmFormSubmitMode", value.ToString());
            }
        }

        public string crmFormSubmitId
        {
            set
            {
                AddFormParameter("crmFormSubmitId", value.ToString());
            }
        }

        public bool qlShowNew
        {
            set
            {
                AddFormParameter("qlShowNew", value.ToString());
            }
        }

        public bool qlCreateAccount
        {
            set
            {
                AddFormParameter("qlCreateAccount", value.ToString());
            }
        }

        public bool qlCreateContact
        {
            set
            {
                AddFormParameter("qlCreateContact", value.ToString());
            }
        }

        public bool qlCreateOpportunity
        {
            set
            {
                AddFormParameter("qlCreateOpportunity", value.ToString());
            }
        }

        public Guid qlOppCurrencyId
        {
            set
            {
                AddFormParameter("qlOppCurrencyId", value.ToString("B"));
            }
        }

        public int qlOpportunityParentType
        {
            set
            {
                AddFormParameter("qlOpportunityParentType", value.ToString());
            }
        }

        public Guid qlOpportunityParentId
        {
            set
            {
                AddFormParameter("qlOpportunityParentId", value.ToString());
            }
        }


        public int crmFormSubmitObjectType
        {
            set
            {
                AddFormParameter("crmFormSubmitObjectType", value.ToString());
            }
        }

        public int crmFormSubmitSecurity
        {
            set
            {
                AddFormParameter("crmFormSubmitSecurity", value.ToString());
            }
        }

        public int crmFormSubmitOnline
        {
            set
            {
                AddFormParameter("crmFormSubmitOnline", value.ToString());
            }
        }

        public bool crmFormUserModified
        {
            set
            {
                AddFormParameter("crmFormUserModified", value.ToString());
            }
        }


        public string CRMWRPCToken
        {
            set
            {
                AddFormParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public Guid assignOwnerId
        {
            set
            {
                AddFormParameter("assignOwnerId", value.ToString("B"));
            }
        }

        public int assignOwnerType
        {
            set
            {
                AddFormParameter("assignOwnerType", value.ToString());
            }
        }


        public sfa_leads_edit_aspx()
            : base(url)
        {
        }
        public sfa_leads_edit_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class sfa_leads_areas_aspx : CrmRequest
    {
        // server URL
        public const string url = "/sfa/leads/areas.aspx";

        public Guid oId
        {
            set
            {
                AddQueryStringParameter("oId", value.ToString("B"));
            }
        }

        public int oType
        {
            set
            {
                AddQueryStringParameter("oType", value.ToString());
            }
        }

        public long security
        {
            set
            {
                AddQueryStringParameter("security", value.ToString());
            }
        }

        public string tabSet
        {
            set
            {
                AddQueryStringParameter("tabSet", value);
            }
        }

        public sfa_leads_areas_aspx()
            : base(url)
        {
        }
        public sfa_leads_areas_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class sfa_quotes_edit_aspx : CrmRequest
    {
        // server URL
        public const string url = "/sfa/quotes/edit.aspx";

        // querystring parameters
        public Guid id
        {
            set
            {
                AddQueryStringParameter("id", value.ToString("B"));
            }
        }

        // formbody parameters
        public string crmFormSubmitXml
        {
            set
            {
                AddFormParameter("crmFormSubmitXml", value);
            }
        }

        public int crmFormSubmitMode
        {
            set
            {
                AddFormParameter("crmFormSubmitMode", value.ToString());
            }
        }

        public bool crmFormUserModified
        {
            set
            {
                AddFormParameter("crmFormUserModified", value.ToString());
            }
        }

        public string crmFormSubmitId
        {
            set
            {
                AddFormParameter("crmFormSubmitId", value.ToString());
            }
        }

        public bool qlShowNew
        {
            set
            {
                AddFormParameter("qlShowNew", value.ToString());
            }
        }

        public bool qlCreateAccount
        {
            set
            {
                AddFormParameter("qlCreateAccount", value.ToString());
            }
        }

        public bool qlCreateContact
        {
            set
            {
                AddFormParameter("qlCreateContact", value.ToString());
            }
        }

        public bool qlCreateOpportunity
        {
            set
            {
                AddFormParameter("qlCreateOpportunity", value.ToString());
            }
        }

        public int qlOpportunityParentType
        {
            set
            {
                AddFormParameter("qlOpportunityParentType", value.ToString());
            }
        }

        public Guid qlOpportunityParentId
        {
            set
            {
                AddFormParameter("qlOpportunityParentId", value.ToString());
            }
        }


        public int crmFormSubmitObjectType
        {
            set
            {
                AddFormParameter("crmFormSubmitObjectType", value.ToString());
            }
        }

        public int crmFormSubmitSecurity
        {
            set
            {
                AddFormParameter("crmFormSubmitSecurity", value.ToString());
            }
        }

        public int crmFormSubmitOnline
        {
            set
            {
                AddFormParameter("crmFormSubmitOnline", value.ToString());
            }
        }


        public string CRMWRPCToken
        {
            set
            {
                AddFormParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public Guid assignOwnerId
        {
            set
            {
                AddFormParameter("assignOwnerId", value.ToString("B"));
            }
        }

        public int assignOwnerType
        {
            set
            {
                AddFormParameter("assignOwnerType", value.ToString());
            }
        }


        public sfa_quotes_edit_aspx()
            : base(url)
        {
        }
        public sfa_quotes_edit_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class sfa_quotedetail_edit_aspx : CrmRequest
    {
        // server URL
        public const string url = "/sfa/quotedetail/edit.aspx";

        // querystring parameters

        public int _CreateFromType
        {
            set
            {
                AddQueryStringParameter("_CreateFromType", value.ToString());
            }
        }

        public Guid _CreateFromId
        {
            set
            {
                AddQueryStringParameter("_CreateFromId", value.ToString("B"));
            }
        }

        public int isproductoverridden
        {
            set
            {
                AddQueryStringParameter("isproductoverridden", value.ToString());
            }
        }

        // formbody parameters
        public string crmFormSubmitXml
        {
            set
            {
                AddFormParameter("crmFormSubmitXml", value);
            }
        }

        public int crmFormSubmitMode
        {
            set
            {
                AddFormParameter("crmFormSubmitMode", value.ToString());
            }
        }

        public bool crmFormUserModified
        {
            set
            {
                AddFormParameter("crmFormUserModified", value.ToString());
            }
        }

        public string crmFormSubmitId
        {
            set
            {
                AddFormParameter("crmFormSubmitId", value.ToString());
            }
        }

        public bool qlShowNew
        {
            set
            {
                AddFormParameter("qlShowNew", value.ToString());
            }
        }

        public bool qlCreateAccount
        {
            set
            {
                AddFormParameter("qlCreateAccount", value.ToString());
            }
        }

        public bool qlCreateContact
        {
            set
            {
                AddFormParameter("qlCreateContact", value.ToString());
            }
        }

        public bool qlCreateOpportunity
        {
            set
            {
                AddFormParameter("qlCreateOpportunity", value.ToString());
            }
        }

        public int qlOpportunityParentType
        {
            set
            {
                AddFormParameter("qlOpportunityParentType", value.ToString());
            }
        }

        public Guid qlOpportunityParentId
        {
            set
            {
                AddFormParameter("qlOpportunityParentId", value.ToString());
            }
        }


        public int crmFormSubmitObjectType
        {
            set
            {
                AddFormParameter("crmFormSubmitObjectType", value.ToString());
            }
        }

        public int crmFormSubmitSecurity
        {
            set
            {
                AddFormParameter("crmFormSubmitSecurity", value.ToString());
            }
        }

        public int crmFormSubmitOnline
        {
            set
            {
                AddFormParameter("crmFormSubmitOnline", value.ToString());
            }
        }


        public string CRMWRPCToken
        {
            set
            {
                AddFormParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public Guid assignOwnerId
        {
            set
            {
                AddFormParameter("assignOwnerId", value.ToString("B"));
            }
        }

        public int assignOwnerType
        {
            set
            {
                AddFormParameter("assignOwnerType", value.ToString());
            }
        }


        public sfa_quotedetail_edit_aspx()
            : base(url)
        {
        }
        public sfa_quotedetail_edit_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class sfa_conts_edit_aspx : CrmRequest
    {
        // server URL
        public const string url = "/sfa/conts/edit.aspx";

        // querystring parameters
        public string id
        {
            set
            {
                AddQueryStringParameter("id", value);
            }
        }

        // formbody parameters

        public Guid assignOwnerId
        {
            set
            {
                AddFormParameter("assignOwnerId", value.ToString("B"));
            }
        }

        public int assignOwnerType
        {
            set
            {
                AddFormParameter("assignOwnerType", value.ToString());
            }
        }

        public string crmFormSubmitXml
        {
            set
            {
                AddFormParameter("crmFormSubmitXml", value);
            }
        }

        public int crmFormSubmitMode
        {
            set
            {
                AddFormParameter("crmFormSubmitMode", value.ToString());
            }
        }

        public bool crmFormUserModified
        {
            set
            {
                AddFormParameter("crmFormUserModified", value.ToString());
            }
        }

        public string crmFormSubmitId
        {
            set
            {
                AddFormParameter("crmFormSubmitId", value.ToString());
            }
        }

        public int crmFormSubmitObjectType
        {
            set
            {
                AddFormParameter("crmFormSubmitObjectType", value.ToString());
            }
        }

        public int crmFormSubmitSecurity
        {
            set
            {
                AddFormParameter("crmFormSubmitSecurity", value.ToString());
            }
        }

        public int crmFormSubmitOnline
        {
            set
            {
                AddFormParameter("crmFormSubmitOnline", value.ToString());
            }
        }


        public string CRMWRPCToken
        {
            set
            {
                AddFormParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public sfa_conts_edit_aspx()
            : base(url)
        {
        }
        public sfa_conts_edit_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class _forms_FormScript_js_aspx : CrmRequest
    {
        // server URL
        private const string url = "/_forms/FormScript.js.aspx";

        // querystring parameters

        public int etc
        {
            set
            {
                AddQueryStringParameter("etc", value.ToString());
            }
        }

        public string FormType
        {
            set
            {
                AddQueryStringParameter("FormType", value);
            }
        }

        public string FormName
        {
            set
            {
                AddQueryStringParameter("FormName", value);
            }
        }

        public _forms_FormScript_js_aspx()
            : base(url)
        {
        }
        public _forms_FormScript_js_aspx(string crmServer)
            : base(url)
        {
            this.Url = crmServer + this.Url;
            this.ParseDependentRequests = false;
            if (ConfigSettings.Default.ParseDependentRequests != null)
            {
                try
                {
                    this.ParseDependentRequests = bool.Parse(ConfigSettings.Default.ParseDependentRequests);
                }
                catch (Exception e)
                {
                    System.Diagnostics.Debug.WriteLine(e.ToString());
                }
            }
            //this.ValidateResponse += new EventHandler<ValidationEventArgs>(CrmRequest_ValidateResponse);
        }

        public _forms_FormScript_js_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class _controls_number_formatNumber_xsl : CrmRequest
    {
        // server URL
        private const string url = "/_controls/number/formatNumber.xsl";

        // querystring parameters


        public _controls_number_formatNumber_xsl()
            : base(url)
        {
        }
        public _controls_number_formatNumber_xsl(string crmServer)
            : base(url)
        {
            this.Url = crmServer + this.Url;
            this.ParseDependentRequests = false;
            if (ConfigSettings.Default.ParseDependentRequests != null)
            {
                try
                {
                    this.ParseDependentRequests = bool.Parse(ConfigSettings.Default.ParseDependentRequests);
                }
                catch (Exception e)
                {
                    System.Diagnostics.Debug.WriteLine(e.ToString());
                }
            }
            //this.ValidateResponse += new EventHandler<ValidationEventArgs>(CrmRequest_ValidateResponse);
        }
        public _controls_number_formatNumber_xsl(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class CRMReports_viewer_filterxmltosummary_xsl : CrmRequest
    {
        // server URL
        private const string url = "/CRMReports/viewer/filterxmltosummary.xsl";

        // querystring parameters


        public CRMReports_viewer_filterxmltosummary_xsl()
            : base(url)
        {
        }

        public CRMReports_viewer_filterxmltosummary_xsl(string crmServer)
            : base(url)
        {
            this.Url = crmServer + this.Url;
            this.ParseDependentRequests = false;
            if (ConfigSettings.Default.ParseDependentRequests != null)
            {
                try
                {
                    this.ParseDependentRequests = bool.Parse(ConfigSettings.Default.ParseDependentRequests);
                }
                catch (Exception e)
                {
                    System.Diagnostics.Debug.WriteLine(e.ToString());
                }
            }
        }

        public CRMReports_viewer_filterxmltosummary_xsl(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class _controls_notes_notesdata_aspx : CrmRequest
    {
        // server URL
        private const string url = "/_controls/notes/notesdata.aspx";

        // querystring parameters
        public Guid id
        {
            set
            {
                AddQueryStringParameter("id", value.ToString("B"));
            }
        }

        public int ParentEntity
        {
            set
            {
                AddQueryStringParameter("ParentEntity", value.ToString());
            }
        }

        public int NotesView
        {
            set
            {
                AddQueryStringParameter("NotesView", value.ToString());
            }
        }

        public bool EnableInlineEdit
        {
            set
            {
                AddQueryStringParameter("EnableInlineEdit", value.ToString());
            }
        }

        public bool EnableInsert
        {
            set
            {
                AddQueryStringParameter("EnableInsert", value.ToString());
            }
        }

        public bool Refresh
        {
            set
            {
                AddQueryStringParameter("Refresh", value.ToString());
            }
        }

        public _controls_notes_notesdata_aspx()
            : base(url)
        {
        }
        public _controls_notes_notesdata_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class _grid_cmds_dlg_delete_account_aspx : CrmDelRequest
    {
        public const string url = "/_grid/cmds/dlg_delete_account.aspx";

        public int iObjType
        {
            set
            {
                AddQueryStringParameter("iObjType", value.ToString());
            }
        }

        public int iTotal
        {
            set
            {
                AddQueryStringParameter("iTotal", value.ToString());
            }
        }

        public string sIds
        {
            set
            {
                AddQueryStringParameter("sIds", value);
            }
        }

        public _grid_cmds_dlg_delete_account_aspx()
            : base(url)
        {
        }
        public _grid_cmds_dlg_delete_account_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class _grid_cmds_dlg_confirm_delete_aspx : CrmRequest
    {
        public const string url = "/_grid/cmds/dlg_confirm_delete.aspx";

        public int ObjectTypeId
        {
            set
            {
                AddQueryStringParameter("ObjectTypeId", value.ToString());
            }
        }

        public int iTotal
        {
            set
            {
                AddQueryStringParameter("iTotal", value.ToString());
            }
        }

        public _grid_cmds_dlg_confirm_delete_aspx()
            : base(url)
        {
        }
        public _grid_cmds_dlg_confirm_delete_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class _grid_cmds_dlg_delete_aspx : CrmDelRequest
    {
        public const string url = "/_grid/cmds/dlg_delete.aspx";

        public string CRMWRPCToken
        {
            set
            {
                AddFormParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public string sSrcQueueId
        {
            set
            {
                AddQueryStringParameter("sSrcQueueId", value);
            }
        }

        public string sParentId
        {
            set
            {
                AddQueryStringParameter("sParentId", value);
            }
        }

        public string sCalendarId
        {
            set
            {
                AddQueryStringParameter("sCalendarId", value);
            }
        }

        public string sSubTypes
        {
            set
            {
                AddQueryStringParameter("sSubTypes", value);
            }
        }

        public int iObjType
        {
            set
            {
                AddQueryStringParameter("iObjType", value.ToString());
            }
        }

        public int iTotal
        {
            set
            {
                AddQueryStringParameter("iTotal", value.ToString());
            }
        }

        public int iIndex
        {
            set
            {
                AddQueryStringParameter("iIndex", value.ToString());
            }
        }

        public string iId
        {
            set
            {
                AddQueryStringParameter("iId", value);
            }
        }

        public string sIds
        {
            set
            {
                AddQueryStringParameter("sIds", value);
            }
        }

        public string iObjSubType
        {
            set
            {
                AddQueryStringParameter("iObjSubType", value);
            }
        }

        public string dummyPost
        {
            set
            {
                AddFormParameter("node", null);
            }
        }

        public _grid_cmds_dlg_delete_aspx()
            : base(url)
        {
        }
        public _grid_cmds_dlg_delete_aspx(CRMEntity user)
            : base(url, user)
        {
        }

    }

    public class _grid_cmds_dlg_delete_contact_aspx : CrmRequest
    {
        private const string url = "/_grid/cmds/dlg_delete_contact.aspx";

        public int iObjType
        {
            set
            {
                AddQueryStringParameter("iObjType", value.ToString());
            }
        }

        public int iTotal
        {
            set
            {
                AddQueryStringParameter("iTotal", value.ToString());
            }
        }

        public string sIds
        {
            set
            {
                AddQueryStringParameter("sIds", value);
            }
        }

        public _grid_cmds_dlg_delete_contact_aspx()
            : base(url)
        {
        }
        public _grid_cmds_dlg_delete_contact_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class _grid_cmds_dlg_clonerole_aspx : CrmRequest
    {
        public const string url = "/_grid/cmds/dlg_clonerole.aspx";

        public Guid roleId
        {
            set
            {
                AddQueryStringParameter("roleId", value.ToString("B"));
            }
        }

        public int iObjType
        {
            set
            {
                AddQueryStringParameter("iObjType", value.ToString());
            }
        }

        public int iTotal
        {
            set
            {
                AddQueryStringParameter("iTotal", value.ToString());
            }
        }

        public int iIndex
        {
            set
            {
                AddQueryStringParameter("iIndex", value.ToString());
            }
        }

        public string iId
        {
            set
            {
                AddQueryStringParameter("iId", value);
            }
        }

        //public string CRMWRPCToken
        //{
        //    set
        //    {
        //        AddFormParameter("CRMWRPCToken", value);
        //    }
        //}

        //public long CRMWRPCTokenTimeStamp
        //{
        //    set
        //    {
        //        AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
        //    }
        //}

        public _grid_cmds_dlg_clonerole_aspx()
            : base(url)
        {
        }
        public _grid_cmds_dlg_clonerole_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class _grid_cmds_dlg_role_aspx : CrmRequest
    {
        public const string url = "/_grid/cmds/dlg_role.aspx";

        public string CRMWRPCToken
        {
            set
            {
                AddFormParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public string sSrcQueueId
        {
            set
            {
                AddQueryStringParameter("sSrcQueueId", value);
            }
        }

        public string sParentId
        {
            set
            {
                AddQueryStringParameter("sParentId", value);
            }
        }

        public string sCalendarId
        {
            set
            {
                AddQueryStringParameter("sCalendarId", value);
            }
        }

        public string sSubTypes
        {
            set
            {
                AddQueryStringParameter("sSubTypes", value);
            }
        }

        public int iObjType
        {
            set
            {
                AddQueryStringParameter("iObjType", value.ToString());
            }
        }

        public int iTotal
        {
            set
            {
                AddQueryStringParameter("iTotal", value.ToString());
            }
        }

        public int iIndex
        {
            set
            {
                AddQueryStringParameter("iIndex", value.ToString());
            }
        }

        public string iId
        {
            set
            {
                AddQueryStringParameter("iId", value);
            }
        }

        public string sIds
        {
            set
            {
                AddQueryStringParameter("sIds", value);
            }
        }

        public string iObjSubType
        {
            set
            {
                AddQueryStringParameter("iObjSubType", value);
            }
        }

        public string dummyPost
        {
            set
            {
                AddFormParameter("node", null);
            }
        }

        public _grid_cmds_dlg_role_aspx()
            : base(url)
        {
        }
        public _grid_cmds_dlg_role_aspx(CRMEntity user)
            : base(url, user)
        {
        }

    }

    public class _grid_cmds_getroles_aspx : CrmRequest
    {
        public const string url = "/_grid/cmds/getroles.aspx";

        public Guid id
        {
            set
            {
                AddQueryStringParameter("id", value.ToString("B"));
            }
        }

        public string CRMWRPCToken
        {
            set
            {
                AddFormParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public string sSrcQueueId
        {
            set
            {
                AddQueryStringParameter("sSrcQueueId", value);
            }
        }

        public string sParentId
        {
            set
            {
                AddQueryStringParameter("sParentId", value);
            }
        }

        public string sCalendarId
        {
            set
            {
                AddQueryStringParameter("sCalendarId", value);
            }
        }

        public string sSubTypes
        {
            set
            {
                AddQueryStringParameter("sSubTypes", value);
            }
        }

        public int iObjType
        {
            set
            {
                AddQueryStringParameter("iObjType", value.ToString());
            }
        }

        public int iTotal
        {
            set
            {
                AddQueryStringParameter("iTotal", value.ToString());
            }
        }

        public int iIndex
        {
            set
            {
                AddQueryStringParameter("iIndex", value.ToString());
            }
        }

        public string iId
        {
            set
            {
                AddQueryStringParameter("iId", value);
            }
        }

        public string sIds
        {
            set
            {
                AddQueryStringParameter("sIds", value);
            }
        }

        public string iObjSubType
        {
            set
            {
                AddQueryStringParameter("iObjSubType", value);
            }
        }

        public string dummyPost
        {
            set
            {
                AddFormParameter("node", null);
            }
        }

        public _grid_cmds_getroles_aspx()
            : base(url)
        {
        }
        public _grid_cmds_getroles_aspx(CRMEntity user)
            : base(url, user)
        {
        }

    }
        
    public class _grid_cmds_dlg_changeparent_aspx : CrmRequest
    {
        public const string url = "/_grid/cmds/dlg_changeparent.aspx";

        public Guid id
        {
            set
            {
                AddQueryStringParameter("id", value.ToString("B"));
            }
        }

        public string CRMWRPCToken
        {
            set
            {
                AddFormParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public string sSrcQueueId
        {
            set
            {
                AddQueryStringParameter("sSrcQueueId", value);
            }
        }

        public string sParentId
        {
            set
            {
                AddQueryStringParameter("sParentId", value);
            }
        }

        public string sCalendarId
        {
            set
            {
                AddQueryStringParameter("sCalendarId", value);
            }
        }

        public string sSubTypes
        {
            set
            {
                AddQueryStringParameter("sSubTypes", value);
            }
        }

        public int iObjType
        {
            set
            {
                AddQueryStringParameter("iObjType", value.ToString());
            }
        }

        public int iTotal
        {
            set
            {
                AddQueryStringParameter("iTotal", value.ToString());
            }
        }

        public int iIndex
        {
            set
            {
                AddQueryStringParameter("iIndex", value.ToString());
            }
        }

        public string iId
        {
            set
            {
                AddQueryStringParameter("iId", value);
            }
        }

        public string sIds
        {
            set
            {
                AddQueryStringParameter("sIds", value);
            }
        }

        public string iObjSubType
        {
            set
            {
                AddQueryStringParameter("iObjSubType", value);
            }
        }

        public Guid ownerId
        {
            set
            {
                AddQueryStringParameter("ownerId", value.ToString("B"));
            }
        }

        public int ownerType
        {
            set
            {
                AddQueryStringParameter("ownerType", value.ToString());
            }
        }

        public _grid_cmds_dlg_changeparent_aspx()
            : base(url)
        {
        }
        public _grid_cmds_dlg_changeparent_aspx(CRMEntity user)
            : base(url, user)
        {
        }

    }

    public class workplace_home_activities_aspx : CrmRequest
    {
        // server URL
        private const string url = "/Workplace/home_activities.aspx";

        public workplace_home_activities_aspx()
            : base(url)
        {
        }
        public workplace_home_activities_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class activities_task_edit_aspx : CrmRequest
    {
        // server URL
        public const string url = "/activities/task/edit.aspx";

        // querystring parameters
        public string id
        {
            set
            {
                AddQueryStringParameter("id", value);
            }
        }

        public Guid pId
        {
            set
            {
                AddQueryStringParameter("pId", value.ToString());
            }
        }

        public int pType
        {
            set
            {
                AddQueryStringParameter("ptype", value.ToString());
            }
        }

        public string pName
        {
            set
            {
                AddQueryStringParameter("pName", value);
            }
        }


        // formbody parameters
        public string crmFormSubmitXml
        {
            set
            {
                AddFormParameter("crmFormSubmitXml", value);
            }
        }

        public int crmFormSubmitMode
        {
            set
            {
                AddFormParameter("crmFormSubmitMode", value.ToString());
            }
        }

        public bool crmFormUserModified
        {
            set
            {
                AddFormParameter("crmFormUserModified", value.ToString());
            }
        }

        public Guid crmFormSubmitId
        {
            set
            {
                AddFormParameter("crmFormSubmitId", value.ToString("B"));
            }
        }

        public int crmFormSubmitObjectType
        {
            set
            {
                AddFormParameter("crmFormSubmitObjectType", value.ToString());
            }
        }

        public int crmFormSubmitSecurity
        {
            set
            {
                AddFormParameter("crmFormSubmitSecurity", value.ToString());
            }
        }

        public int crmFormSubmitOnline
        {
            set
            {
                AddFormParameter("crmFormSubmitOnline", value.ToString());
            }
        }
                
        public string CRMWRPCToken
        {
            set
            {
                AddFormParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public activities_task_edit_aspx()
            : base(url)
        {
        }
        public activities_task_edit_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class activities_email_edit_aspx : CrmRequest
    {
        // server URL
        public const string url = "/activities/email/edit.aspx";

        // querystring parameters
        public string id
        {
            set
            {
                AddQueryStringParameter("id", value);
            }
        }

        public Guid pId
        {
            set
            {
                AddQueryStringParameter("pId", value.ToString());
            }
        }

        public Guid partyid
        {
            set
            {
                AddQueryStringParameter("partyid", value.ToString());
            }
        }

        public int partytype
        {
            set
            {
                AddQueryStringParameter("partytype", value.ToString());
            }
        }

        public string partyname
        {
            set
            {
                AddQueryStringParameter("partyname", value);
            }
        }


        public int pType
        {
            set
            {
                AddQueryStringParameter("ptype", value.ToString());
            }
        }

        public string pName
        {
            set
            {
                AddQueryStringParameter("pName", value);
            }
        }


        // formbody parameters
        public string crmFormSubmitXml
        {
            set
            {
                AddFormParameter("crmFormSubmitXml", value);
            }
        }

        public int crmFormSubmitMode
        {
            set
            {
                AddFormParameter("crmFormSubmitMode", value.ToString());
            }
        }

        public bool crmFormUserModified
        {
            set
            {
                AddFormParameter("crmFormUserModified", value.ToString());
            }
        }

        public Guid crmFormSubmitId
        {
            set
            {
                AddFormParameter("crmFormSubmitId", value.ToString("B"));
            }
        }

        public int crmFormSubmitObjectType
        {
            set
            {
                AddFormParameter("crmFormSubmitObjectType", value.ToString());
            }
        }

        public int crmFormSubmitSecurity
        {
            set
            {
                AddFormParameter("crmFormSubmitSecurity", value.ToString());
            }
        }

        public int crmFormSubmitOnline
        {
            set
            {
                AddFormParameter("crmFormSubmitOnline", value.ToString());
            }
        }


        public string CRMWRPCToken
        {
            set
            {
                AddFormParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public activities_email_edit_aspx()
            : base(url)
        {
        }
        public activities_email_edit_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class activities_appointment_edit_aspx : CrmRequest
    {
        // server URL
        public const string url = "/activities/appointment/edit.aspx";

        // querystring parameters
        public string id
        {
            set
            {
                AddQueryStringParameter("id", value);
            }
        }

        public Guid pId
        {
            set
            {
                AddQueryStringParameter("pId", value.ToString());
            }
        }

        public Guid partyid
        {
            set
            {
                AddQueryStringParameter("partyid", value.ToString());
            }
        }

        public int partytype
        {
            set
            {
                AddQueryStringParameter("partytype", value.ToString());
            }
        }

        public string partyname
        {
            set
            {
                AddQueryStringParameter("partyname", value);
            }
        }


        public int pType
        {
            set
            {
                AddQueryStringParameter("ptype", value.ToString());
            }
        }

        public string pName
        {
            set
            {
                AddQueryStringParameter("pName", value);
            }
        }


        // formbody parameters
        public string crmFormSubmitXml
        {
            set
            {
                AddFormParameter("crmFormSubmitXml", value);
            }
        }

        public int crmFormSubmitMode
        {
            set
            {
                AddFormParameter("crmFormSubmitMode", value.ToString());
            }
        }

        public Guid crmFormSubmitId
        {
            set
            {
                AddFormParameter("crmFormSubmitId", value.ToString("B"));
            }
        }

        public bool crmFormUserModified
        {
            set
            {
                AddFormParameter("crmFormUserModified", value.ToString());
            }
        }

        public int crmFormSubmitObjectType
        {
            set
            {
                AddFormParameter("crmFormSubmitObjectType", value.ToString());
            }
        }

        public int crmFormSubmitSecurity
        {
            set
            {
                AddFormParameter("crmFormSubmitSecurity", value.ToString());
            }
        }

        public int crmFormSubmitOnline
        {
            set
            {
                AddFormParameter("crmFormSubmitOnline", value.ToString());
            }
        }


        public string CRMWRPCToken
        {
            set
            {
                AddFormParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public activities_appointment_edit_aspx()
            : base(url)
        {
        }
        public activities_appointment_edit_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class activities_fax_edit_aspx : CrmRequest
    {
        // server URL
        public const string url = "/activities/fax/edit.aspx";

        // querystring parameters
        public string id
        {
            set
            {
                AddQueryStringParameter("id", value);
            }
        }

        public Guid pId
        {
            set
            {
                AddQueryStringParameter("pId", value.ToString());
            }
        }

        public Guid partyid
        {
            set
            {
                AddQueryStringParameter("partyid", value.ToString());
            }
        }

        public int partytype
        {
            set
            {
                AddQueryStringParameter("partytype", value.ToString());
            }
        }

        public string partyname
        {
            set
            {
                AddQueryStringParameter("partyname", value);
            }
        }


        public int pType
        {
            set
            {
                AddQueryStringParameter("ptype", value.ToString());
            }
        }

        public string pName
        {
            set
            {
                AddQueryStringParameter("pName", value);
            }
        }


        // formbody parameters
        public string crmFormSubmitXml
        {
            set
            {
                AddFormParameter("crmFormSubmitXml", value);
            }
        }

        public int crmFormSubmitMode
        {
            set
            {
                AddFormParameter("crmFormSubmitMode", value.ToString());
            }
        }

        public bool crmFormUserModified
        {
            set
            {
                AddFormParameter("crmFormUserModified", value.ToString());
            }
        }

        public Guid crmFormSubmitId
        {
            set
            {
                AddFormParameter("crmFormSubmitId", value.ToString("B"));
            }
        }

        public int crmFormSubmitObjectType
        {
            set
            {
                AddFormParameter("crmFormSubmitObjectType", value.ToString());
            }
        }

        public int crmFormSubmitSecurity
        {
            set
            {
                AddFormParameter("crmFormSubmitSecurity", value.ToString());
            }
        }

        public int crmFormSubmitOnline
        {
            set
            {
                AddFormParameter("crmFormSubmitOnline", value.ToString());
            }
        }


        public string CRMWRPCToken
        {
            set
            {
                AddFormParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public activities_fax_edit_aspx()
            : base(url)
        {
        }
        public activities_fax_edit_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class activities_letter_edit_aspx : CrmRequest
    {
        // server URL
        public const string url = "/activities/letter/edit.aspx";

        // querystring parameters
        public string id
        {
            set
            {
                AddQueryStringParameter("id", value);
            }
        }

        public Guid pId
        {
            set
            {
                AddQueryStringParameter("pId", value.ToString());
            }
        }

        public Guid partyid
        {
            set
            {
                AddQueryStringParameter("partyid", value.ToString());
            }
        }

        public int partytype
        {
            set
            {
                AddQueryStringParameter("partytype", value.ToString());
            }
        }

        public string partyname
        {
            set
            {
                AddQueryStringParameter("partyname", value);
            }
        }


        public int pType
        {
            set
            {
                AddQueryStringParameter("ptype", value.ToString());
            }
        }

        public string pName
        {
            set
            {
                AddQueryStringParameter("pName", value);
            }
        }


        // formbody parameters
        public string crmFormSubmitXml
        {
            set
            {
                AddFormParameter("crmFormSubmitXml", value);
            }
        }

        public int crmFormSubmitMode
        {
            set
            {
                AddFormParameter("crmFormSubmitMode", value.ToString());
            }
        }

        public bool crmFormUserModified
        {
            set
            {
                AddFormParameter("crmFormUserModified", value.ToString());
            }
        }

        public Guid crmFormSubmitId
        {
            set
            {
                AddFormParameter("crmFormSubmitId", value.ToString("B"));
            }
        }

        public int crmFormSubmitObjectType
        {
            set
            {
                AddFormParameter("crmFormSubmitObjectType", value.ToString());
            }
        }

        public int crmFormSubmitSecurity
        {
            set
            {
                AddFormParameter("crmFormSubmitSecurity", value.ToString());
            }
        }

        public int crmFormSubmitOnline
        {
            set
            {
                AddFormParameter("crmFormSubmitOnline", value.ToString());
            }
        }


        public string CRMWRPCToken
        {
            set
            {
                AddFormParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public activities_letter_edit_aspx()
            : base(url)
        {
        }
        public activities_letter_edit_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class activities_phone_edit_aspx : CrmRequest
    {
        // server URL
        public const string url = "/activities/phone/edit.aspx";

        // querystring parameters
        public string id
        {
            set
            {
                AddQueryStringParameter("id", value);
            }
        }

        public Guid pId
        {
            set
            {
                AddQueryStringParameter("pId", value.ToString());
            }
        }

        public Guid partyid
        {
            set
            {
                AddQueryStringParameter("partyid", value.ToString());
            }
        }

        public int partytype
        {
            set
            {
                AddQueryStringParameter("partytype", value.ToString());
            }
        }

        public string partyname
        {
            set
            {
                AddQueryStringParameter("partyname", value);
            }
        }


        public int pType
        {
            set
            {
                AddQueryStringParameter("ptype", value.ToString());
            }
        }

        public string pName
        {
            set
            {
                AddQueryStringParameter("pName", value);
            }
        }


        // formbody parameters
        public string crmFormSubmitXml
        {
            set
            {
                AddFormParameter("crmFormSubmitXml", value);
            }
        }

        public int crmFormSubmitMode
        {
            set
            {
                AddFormParameter("crmFormSubmitMode", value.ToString());
            }
        }

        public Guid crmFormSubmitId
        {
            set
            {
                AddFormParameter("crmFormSubmitId", value.ToString("B"));
            }
        }

        public int crmFormSubmitObjectType
        {
            set
            {
                AddFormParameter("crmFormSubmitObjectType", value.ToString());
            }
        }

        public int crmFormSubmitSecurity
        {
            set
            {
                AddFormParameter("crmFormSubmitSecurity", value.ToString());
            }
        }

        public int crmFormSubmitOnline
        {
            set
            {
                AddFormParameter("crmFormSubmitOnline", value.ToString());
            }
        }

        public bool crmFormUserModified
        {
            set
            {
                AddFormParameter("crmFormUserModified", value.ToString());
            }
        }

        public string CRMWRPCToken
        {
            set
            {
                AddFormParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public activities_phone_edit_aspx()
            : base(url)
        {
        }
        public activities_phone_edit_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class notes_edit_aspx : CrmRequest
    {
        // server URL
        public const string url = "/notes/edit.aspx";

        // querystring parameters
        public string id
        {
            set
            {
                AddQueryStringParameter("id", value);
            }
        }

        public notes_edit_aspx()
            : base(url)
        {
        }
        public notes_edit_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class MA_home_camps_aspx : CrmRequest
    {
        // server URL
        public const string url = "/MA/home_camps.aspx";

        public MA_home_camps_aspx()
            : base(url)
        {
        }
        public MA_home_camps_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class ma_camps_edit_aspx : CrmRequest
    {
        // server URL
        public const string url = "/ma/camps/edit.aspx";

        public Guid id
        {
            set
            {
                AddQueryStringParameter("id", value.ToString("B"));
            }
        }

        // formbody parameters
        public string crmFormSubmitXml
        {
            set
            {
                AddFormParameter("crmFormSubmitXml", value);
            }
        }

        public int crmFormSubmitMode
        {
            set
            {
                AddFormParameter("crmFormSubmitMode", value.ToString());
            }
        }

        public bool crmFormUserModified
        {
            set
            {
                AddFormParameter("crmFormUserModified", value.ToString());
            }
        }

        public string crmFormSubmitId
        {
            set
            {
                AddFormParameter("crmFormSubmitId", value);
            }
        }

        public int crmFormSubmitObjectType
        {
            set
            {
                AddFormParameter("crmFormSubmitObjectType", value.ToString());
            }
        }

        public int crmFormSubmitSecurity
        {
            set
            {
                AddFormParameter("crmFormSubmitSecurity", value.ToString());
            }
        }

        public int crmFormSubmitOnline
        {
            set
            {
                AddFormParameter("crmFormSubmitOnline", value.ToString());
            }
        }


        public string CRMWRPCToken
        {
            set
            {
                AddFormParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public ma_camps_edit_aspx()
            : base(url)
        {
        }
        public ma_camps_edit_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class ma_camps_areas_aspx : CrmRequest
    {
        // server URL
        public const string url = "/ma/camps/areas.aspx";

        public Guid oId
        {
            set
            {
                AddQueryStringParameter("oId", value.ToString("B"));
            }
        }

        public int oType
        {
            set
            {
                AddQueryStringParameter("oType", value.ToString());
            }
        }

        public long security
        {
            set
            {
                AddQueryStringParameter("security", value.ToString());
            }
        }

        public int createdfromcode
        {
            set
            {
                AddQueryStringParameter("createdfromcode", value.ToString());
            }
        }

        public string tabSet
        {
            set
            {
                AddQueryStringParameter("tabSet", value);
            }
        }

        public ma_camps_areas_aspx()
            : base(url)
        {
        }
        public ma_camps_areas_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class ma_campaignactivity_edit_aspx : CrmRequest
    {
        // server URL
        public const string url = "/ma/campaignactivity/edit.aspx";

        // QueryStringParameters
        public int _CreateFromType
        {
            set
            {
                AddQueryStringParameter("_CreateFromType", value.ToString());
            }
        }

        public Guid _CreateFromId
        {
            set
            {
                AddQueryStringParameter("_CreateFromId", value.ToString("B"));
            }
        }

        public Guid id
        {
            set
            {
                AddQueryStringParameter("id", value.ToString("B"));
            }
        }

        //FormDataParameters
        public string crmFormSubmitXml
        {
            set
            {
                AddFormParameter("crmFormSubmitXml", value);
            }
        }

        public int crmFormSubmitMode
        {
            set
            {
                AddFormParameter("crmFormSubmitMode", value.ToString());
            }
        }

        public string crmFormSubmitId
        {
            set
            {
                AddFormParameter("crmFormSubmitId", value);
            }
        }

        public bool crmFormUserModified
        {
            set
            {
                AddFormParameter("crmFormUserModified", value.ToString());
            }
        }

        public int crmFormSubmitObjectType
        {
            set
            {
                AddFormParameter("crmFormSubmitObjectType", value.ToString());
            }
        }

        public int crmFormSubmitSecurity
        {
            set
            {
                AddFormParameter("crmFormSubmitSecurity", value.ToString());
            }
        }

        public int crmFormSubmitOnline
        {
            set
            {
                AddFormParameter("crmFormSubmitOnline", value.ToString());
            }
        }


        public string CRMWRPCToken
        {
            set
            {
                AddFormParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public ma_campaignactivity_edit_aspx()
            : base(url)
        {
        }
        public ma_campaignactivity_edit_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class ma_campaignresponse_edit_aspx : CrmRequest
    {
        // server URL
        public const string url = "/ma/campaignresponse/edit.aspx";

        // QueryStringParameters
        public int _CreateFromType
        {
            set
            {
                AddQueryStringParameter("_CreateFromType", value.ToString());
            }
        }

        public Guid _CreateFromId
        {
            set
            {
                AddQueryStringParameter("_CreateFromId", value.ToString("B"));
            }
        }

        public Guid id
        {
            set
            {
                AddQueryStringParameter("id", value.ToString("B"));
            }
        }

        //FormDataParameters
        public string crmFormSubmitXml
        {
            set
            {
                AddFormParameter("crmFormSubmitXml", value);
            }
        }

        public int crmFormSubmitMode
        {
            set
            {
                AddFormParameter("crmFormSubmitMode", value.ToString());
            }
        }

        public string crmFormSubmitId
        {
            set
            {
                AddFormParameter("crmFormSubmitId", value);
            }
        }

        public int crmFormSubmitObjectType
        {
            set
            {
                AddFormParameter("crmFormSubmitObjectType", value.ToString());
            }
        }

        public bool crmFormUserModified
        {
            set
            {
                AddFormParameter("crmFormUserModified", value.ToString());
            }
        }

        public int crmFormSubmitSecurity
        {
            set
            {
                AddFormParameter("crmFormSubmitSecurity", value.ToString());
            }
        }

        public int crmFormSubmitOnline
        {
            set
            {
                AddFormParameter("crmFormSubmitOnline", value.ToString());
            }
        }


        public string CRMWRPCToken
        {
            set
            {
                AddFormParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public ma_campaignresponse_edit_aspx()
            : base(url)
        {
        }
        public ma_campaignresponse_edit_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class ma_lists_edit_aspx : CrmRequest
    {
        // server URL
        public const string url = "/ma/lists/edit.aspx";

        public Guid id
        {
            set
            {
                AddQueryStringParameter("id", value.ToString("B"));
            }
        }

        // formbody parameters
        public string crmFormSubmitXml
        {
            set
            {
                AddFormParameter("crmFormSubmitXml", value);
            }
        }

        public int crmFormSubmitMode
        {
            set
            {
                AddFormParameter("crmFormSubmitMode", value.ToString());
            }
        }

        public string crmFormSubmitId
        {
            set
            {
                AddFormParameter("crmFormSubmitId", value);
            }
        }

        public int crmFormSubmitObjectType
        {
            set
            {
                AddFormParameter("crmFormSubmitObjectType", value.ToString());
            }
        }

        public bool crmFormUserModified
        {
            set
            {
                AddFormParameter("crmFormUserModified", value.ToString());
            }
        }

        public int crmFormSubmitSecurity
        {
            set
            {
                AddFormParameter("crmFormSubmitSecurity", value.ToString());
            }
        }

        public int crmFormSubmitOnline
        {
            set
            {
                AddFormParameter("crmFormSubmitOnline", value.ToString());
            }
        }


        public string CRMWRPCToken
        {
            set
            {
                AddFormParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public ma_lists_edit_aspx()
            : base(url)
        {
        }
        public ma_lists_edit_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class ma_lists_areas_aspx : CrmRequest
    {
        // server URL
        public const string url = "/ma/lists/areas.aspx";

        public Guid oId
        {
            set
            {
                AddQueryStringParameter("oId", value.ToString("B"));
            }
        }

        public int oType
        {
            set
            {
                AddQueryStringParameter("oType", value.ToString());
            }
        }

        public int createdfromcode
        {
            set
            {
                AddQueryStringParameter("createdfromcode", value.ToString());
            }
        }

        public long security
        {
            set
            {
                AddQueryStringParameter("security", value.ToString());
            }
        }

        public string tabSet
        {
            set
            {
                AddQueryStringParameter("tabSet", value);
            }
        }

        public ma_lists_areas_aspx()
            : base(url)
        {
        }
        public ma_lists_areas_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class MA_lists_ListQualificationDlg_dlg_manage_members_aspx : CrmRequest
    {
        // server URL
        public const string url = "/MA/lists/ListQualificationDlg/dlg_manage_members.aspx";

        public MA_lists_ListQualificationDlg_dlg_manage_members_aspx()
            : base(url)
        {
        }
        public MA_lists_ListQualificationDlg_dlg_manage_members_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class MA_lists_ListQualificationDlg_dlg_query_build_aspx : CrmRequest
    {
        // server URL
        public const string url = "/MA/lists/ListQualificationDlg/dlg_query_build.aspx";

        public int ListMemberType
        {
            set
            {
                AddQueryStringParameter("ListMemberType", value.ToString());
            }
        }

        public Guid ListId
        {
            set
            {
                AddQueryStringParameter("ListId", value.ToString("B"));
            }
        }

        public string InvokeType
        {
            set
            {
                AddQueryStringParameter("InvokeType", value);
            }
        }

        public string invoker
        {
            set
            {
                AddQueryStringParameter("invoker", value);
            }
        }

        public int restrictOtherEntities
        {
            set
            {
                AddQueryStringParameter("restrictOtherEntities", value.ToString());
            }
        }

        public MA_lists_ListQualificationDlg_dlg_query_build_aspx()
            : base(url)
        {
        }
        public MA_lists_ListQualificationDlg_dlg_query_build_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class MA_Lists_ListQualificationDlg_dlg_List_qualify_aspx : CrmRequest
    {

        // server URL
        public const string url = "/MA/lists/ListQualificationDlg/dlg_List_qualify.aspx";

        public Guid itemObjectId
        {
            set
            {
                AddQueryStringParameter("itemObjectId", value.ToString("B"));
            }
        }

        public int iObjType
        {
            set
            {
                AddQueryStringParameter("iObjType", value.ToString());
            }
        }

        public int itemObjectTypeCode
        {
            set
            {
                AddQueryStringParameter("itemObjectTypeCode", value.ToString());
            }
        }

        public int iTotal
        {
            set
            {
                AddQueryStringParameter("iTotal", value.ToString());
            }
        }

        public Guid savedQueryId
        {
            set
            {
                AddQueryStringParameter("savedQueryId", value.ToString("B"));
            }
        }

        public int savedQueryType
        {
            set
            {
                AddQueryStringParameter("savedQueryType", value.ToString());
            }
        }

        public bool isDirty
        {
            set
            {
                AddQueryStringParameter("isDirty", value.ToString());
            }
        }

        public string sInvokeType
        {
            set
            {
                AddQueryStringParameter("sInvokeType", value.ToString());
            }
        }

        public int iOption
        {
            set
            {
                AddQueryStringParameter("iOption", value.ToString());
            }
        }

        public int iViewType
        {
            set
            {
                AddQueryStringParameter("iViewType", value.ToString());
            }
        }

        public MA_Lists_ListQualificationDlg_dlg_List_qualify_aspx()
            : base(url)
        {
        }
        public MA_Lists_ListQualificationDlg_dlg_List_qualify_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class MA_MiniCampaign_MiniCampaign_aspx : CrmRequest
    {
        // server URL
        public const string url = "/MA/MiniCampaign/MiniCampaign.aspx";

        public MA_MiniCampaign_MiniCampaign_aspx()
            : base(url)
        {
        }
        public MA_MiniCampaign_MiniCampaign_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class MA_MiniCampaign_iframes_letterForm_aspx : CrmRequest
    {
        // server URL
        public const string url = "/MA/MiniCampaign/iframes/letterForm.aspx";

        public MA_MiniCampaign_iframes_letterForm_aspx()
            : base(url)
        {
        }
        public MA_MiniCampaign_iframes_letterForm_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class MA_MiniCampaign_iframes_phonecallForm_aspx : CrmRequest
    {
        // server URL
        public const string url = "/MA/MiniCampaign/iframes/phonecallForm.aspx";

        public MA_MiniCampaign_iframes_phonecallForm_aspx()
            : base(url)
        {
        }
        public MA_MiniCampaign_iframes_phonecallForm_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class MA_MiniCampaign_iframes_appointmentForm_aspx : CrmRequest
    {
        // server URL
        public const string url = "/MA/MiniCampaign/iframes/appointmentForm.aspx";

        public MA_MiniCampaign_iframes_appointmentForm_aspx()
            : base(url)
        {
        }
        public MA_MiniCampaign_iframes_appointmentForm_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class MA_MiniCampaign_iframes_faxForm_aspx : CrmRequest
    {
        // server URL
        public const string url = "/MA/MiniCampaign/iframes/faxForm.aspx";

        public MA_MiniCampaign_iframes_faxForm_aspx()
            : base(url)
        {
        }
        public MA_MiniCampaign_iframes_faxForm_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class MA_MiniCampaign_iframes_emailForm_aspx : CrmRequest
    {
        // server URL
        public const string url = "/MA/MiniCampaign/iframes/emailForm.aspx";

        public MA_MiniCampaign_iframes_emailForm_aspx()
            : base(url)
        {
        }
        public MA_MiniCampaign_iframes_emailForm_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class MA_CampaignActivity_Dialogs_confirm_propagation_aspx : CrmRequest
    {
        // server URL
        public const string url = "/MA/CampaignActivity/Dialogs/confirm_propagation.aspx";

        //QueryStringParameters
        public int EntityTypeCode
        {
            set
            {
                AddQueryStringParameter("EntityTypeCode", value.ToString());
            }
        }

        public MA_CampaignActivity_Dialogs_confirm_propagation_aspx()
            : base(url)
        {
        }
        public MA_CampaignActivity_Dialogs_confirm_propagation_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class _grid_cmds_dlg_frmassign_aspx : CrmRequest
    {
        // server URL
        public const string url = "/_grid/cmds/dlg_frmassign.aspx";

        public Guid pId
        {
            set
            {
                AddQueryStringParameter("pId", value.ToString("B"));
            }
        }

        public int pType
        {
            set
            {
                AddQueryStringParameter("pType", value.ToString());
            }
        }

        public int iObjtype
        {
            set
            {
                AddQueryStringParameter("iObjType", value.ToString());
            }
        }

        public int iTotal
        {
            set
            {
                AddQueryStringParameter("iTotal", value.ToString());
            }
        }

        public _grid_cmds_dlg_frmassign_aspx()
            : base(url)
        {
        }
        public _grid_cmds_dlg_frmassign_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class sfa_leads_dialogs_conv_lead_aspx : CrmRequest
    {
        // server URL
        public const string url = "/SFA/leads/dialogs/conv_lead.aspx";

        public sfa_leads_dialogs_conv_lead_aspx()
            : base(url)
        {
        }
        public sfa_leads_dialogs_conv_lead_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class activities_dlg_create_aspx : CrmRequest
    {
        // server URL
        public const string url = "/Activities/dlg_create.aspx";

        public activities_dlg_create_aspx()
            : base(url)
        {
        }
        public activities_dlg_create_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class _controls_htmlbar_htmlbar_css_aspx : CrmRequest
    {
        // server URL
        public const string url = "/_controls/htmlbar/htmlbar.css.aspx";

        // QueryString Parameters

        public int lcid
        {
            set
            {
                AddQueryStringParameter("lcid", value.ToString());
            }
        }

        public _controls_htmlbar_htmlbar_css_aspx()
            : base(url)
        {
        }
        public _controls_htmlbar_htmlbar_css_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class _controls_emailbody_msgbody_aspx : CrmRequest
    {
        // server URL
        public const string url = "/_controls/emailbody/msgBody.aspx";

        public _controls_emailbody_msgbody_aspx()
            : base(url)
        {
        }
        public _controls_emailbody_msgbody_aspx(CRMEntity user)
            : base(url, user)
        {
        }

        public Guid id
        {
            set
            {
                AddQueryStringParameter("id", value.ToString("B"));
            }
        }

        public string entityType
        {
            set
            {
                AddQueryStringParameter("entityType", value);
            }
        }
    }

    public class _controls_lookup_lookupmulti_aspx : CrmRequest
    {
        // server URL
        public const string url = "/_controls/lookup/lookupmulti.aspx";

        public _controls_lookup_lookupmulti_aspx()
            : base(url)
        {
        }
        public _controls_lookup_lookupmulti_aspx(CRMEntity user)
            : base(url, user)
        {
        }

        public string Class
        {
            set
            {
                AddQueryStringParameter("class", value);
            }
        }

        public string objecttypes
        {
            set
            {
                AddQueryStringParameter("objecttypes", value);
            }
        }

        public int browse
        {
            set
            {
                AddQueryStringParameter("browse", value.ToString());
            }
        }

        public int DefaultType
        {
            set
            {
                AddQueryStringParameter("DefaultType", value.ToString());
            }
        }

        public int ObjectType
        {
            set
            {
                AddQueryStringParameter("objectType", value.ToString());
            }
        }

        public int Mode
        {
            set
            {
                AddQueryStringParameter("Mode", value.ToString());
            }
        }

        public int ColumnsOnly
        {
            set
            {
                AddQueryStringParameter("ColumnsOnly", value.ToString());
            }
        }

        public string searchvalue
        {
            set
            {
                AddQueryStringParameter("searchvalue", value);
            }
        }

        public int ShowNewButton
        {
            set
            {
                AddQueryStringParameter("ShowNewButton", value.ToString());
            }
        }

        public int ShowPropButton
        {
            set
            {
                AddQueryStringParameter("ShowPropButton", value.ToString());
            }
        }
    }

    public class _controls_lookup_lookupdata_aspx : CrmRequest
    {
        // server URL
        public const string url = "/_controls/lookup/lookupdata.aspx";

        public _controls_lookup_lookupdata_aspx()
            : base(url)
        {
        }
        public _controls_lookup_lookupdata_aspx(CRMEntity user)
            : base(url, user)
        {
        }

        public string Class
        {
            set
            {
                AddQueryStringParameter("class", value);
            }
        }

        public string objecttypes
        {
            set
            {
                AddQueryStringParameter("objecttypes", value);
            }
        }

        public int browse
        {
            set
            {
                AddQueryStringParameter("browse", value.ToString());
            }
        }

        public int DefaultType
        {
            set
            {
                AddQueryStringParameter("DefaultType", value.ToString());
            }
        }

        public int ObjectType
        {
            set
            {
                AddQueryStringParameter("objectType", value.ToString());
            }
        }

        public int Mode
        {
            set
            {
                AddQueryStringParameter("Mode", value.ToString());
            }
        }

        public int ColumnsOnly
        {
            set
            {
                AddQueryStringParameter("ColumnsOnly", value.ToString());
            }
        }

        public string searchvalue
        {
            set
            {
                AddQueryStringParameter("searchvalue", value);
            }
        }

        public int ShowNewButton
        {
            set
            {
                AddQueryStringParameter("ShowNewButton", value.ToString());
            }
        }

        public int ShowPropButton
        {
            set
            {
                AddQueryStringParameter("ShowPropButton", value.ToString());
            }
        }

    }

    public class _controls_lookup_lookupsingle_aspx : CrmRequest
    {
        // server URL
        public const string url = "/_controls/lookup/lookupsingle.aspx";

        public _controls_lookup_lookupsingle_aspx()
            : base(url)
        {
        }
        public _controls_lookup_lookupsingle_aspx(CRMEntity user)
            : base(url, user)
        {
        }

        public int DefaultType
        {
            set
            {
                AddQueryStringParameter("DefaultType", value.ToString());
            }
        }

        public string Class
        {
            set
            {
                AddQueryStringParameter("class", value);
            }
        }

        public string objecttypes
        {
            set
            {
                AddQueryStringParameter("objecttypes", value);
            }
        }

        public int browse
        {
            set
            {
                AddQueryStringParameter("browse", value.ToString());
            }
        }

        public Guid businessunitid
        {
            set
            {
                AddQueryStringParameter("businessunitid", value.ToString("B"));
            }
        }

        public Guid id
        {
            set
            {
                AddQueryStringParameter("id", value.ToString("B"));
            }
        }

        public int membertypecode
        {
            set
            {
                AddQueryStringParameter("membertypecode", value.ToString());
            }
        }

        public int ShowNewButton
        {
            set
            {
                AddQueryStringParameter("ShowNewButton", value.ToString());
            }
        }

        public int ShowPropButton
        {
            set
            {
                AddQueryStringParameter("ShowPropButton", value.ToString());
            }
        }

        public int ObjectType
        {
            set
            {
                AddQueryStringParameter("ObjectType", value.ToString());
            }
        }

        public int ObjectTypeCode
        {
            set
            {
                AddQueryStringParameter("ObjectTypeCode", value.ToString());
            }
        }

        public int Mode
        {
            set
            {
                AddQueryStringParameter("Mode", value.ToString());
            }
        }

        public int ColumnsOnly
        {
            set
            {
                AddQueryStringParameter("ColumnsOnly", value.ToString());
            }
        }

        public string searchvalue
        {
            set
            {
                AddQueryStringParameter("searchvalue", value);
            }
        }

        public Guid priceLevelId
        {
            set
            {
                AddQueryStringParameter("priceLevelId", value.ToString("B"));
            }
        }

        public Guid ObjectId
        {
            set
            {
                AddQueryStringParameter("ObjectId", value.ToString("B"));
            }
        }

        public Guid ProductId
        {
            set
            {
                AddQueryStringParameter("ProductId", value.ToString("B"));
            }
        }

        public Guid transactioncurrencyid
        {
            set
            {
                AddQueryStringParameter("transactioncurrencyid", value.ToString("B"));
            }
        }

    }

    public class sfa_quotes_cmd_getquantitydecimal_aspx : CrmRequest
    {
        // server URL
        public const string url = "/sfa/quotes/cmd_getquantitydecimal.aspx";

        public sfa_quotes_cmd_getquantitydecimal_aspx()
            : base(url)
        {
        }
        public sfa_quotes_cmd_getquantitydecimal_aspx(CRMEntity user)
            : base(url, user)
        {
        }

        public int objectTypeCode
        {
            set
            {
                AddQueryStringParameter("objectTypeCode", value.ToString());
            }
        }

        public Guid objectId
        {
            set
            {
                AddQueryStringParameter("objectId", value.ToString("B"));
            }
        }
        public Guid productId
        {
            set
            {
                AddQueryStringParameter("productId", value.ToString("B"));
            }
        }
        public Guid uomId
        {
            set
            {
                AddQueryStringParameter("uomId", value.ToString("B"));
            }
        }
        public string dummy
        {
            set
            {
                AddFormParameter("dummy", value);
            }
        }
    }

    public class sm_home_apptbook_aspx : CrmRequest
    {
        // server URL
        public const string url = "/sm/home_apptbook.aspx";

        public int zoomLevel
        {
            set
            {
                AddQueryStringParameter("zoomLevel", value.ToString());
            }
        }

        public DateTime startDate
        {
            set
            {
                AddQueryStringParameter("startDate", value.ToString("s"));
            }
        }

        public DateTime endDate
        {
            set
            {
                AddQueryStringParameter("endDate", value.ToString("s"));
            }
        }

        public bool showConflict
        {
            set
            {
                AddQueryStringParameter("showConflict", value.ToString());
            }
        }

        public sm_home_apptbook_aspx()
            : base(url)
        {
        }
        public sm_home_apptbook_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class sm_ganttcontrolframe_aspx : CrmRequest
    {
        // server URL
        public const string url = "/sm/GanttControlFrame.aspx";

        public DateTime startDate
        {
            set
            {
                AddQueryStringParameter("startDate", value.ToString("s"));
            }
        }

        public DateTime endDate
        {
            set
            {
                AddQueryStringParameter("endDate", value.ToString("s"));
            }
        }

        public string subareatype
        {
            set
            {
                AddQueryStringParameter("subareatype", value);
            }
        }

        public Guid viewID
        {
            set
            {
                AddQueryStringParameter("viewID", value.ToString("B"));
            }
        }

        public int viewType
        {
            set
            {
                AddQueryStringParameter("viewType", value.ToString());
            }
        }

        public int zoomLevel
        {
            set
            {
                AddQueryStringParameter("zoomLevel", value.ToString());
            }
        }

        public string pagingCookie
        {
            set
            {
                AddQueryStringParameter("pagingCookie", value);
            }
        }

        public string selRowID
        {
            set
            {
                AddQueryStringParameter("selRowID", value);
            }
        }

        public string selBlockID
        {
            set
            {
                AddQueryStringParameter("selBlockID", value);
            }
        }

        public sm_ganttcontrolframe_aspx()
            : base(url)
        {
        }
        public sm_ganttcontrolframe_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class sm_detailsappointmentpane_aspx : CrmRequest
    {
        // server URL
        public const string url = "/sm/DetailsAppointmentPane.aspx";

        public string subAreaType
        {
            set
            {
                AddQueryStringParameter("subAreaType", value);
            }
        }

        public int rowType
        {
            set
            {
                AddQueryStringParameter("rowType", value.ToString());
            }
        }

        public Guid rowId
        {
            set
            {
                AddQueryStringParameter("rowId", value.ToString("B"));
            }
        }

        public int blockType
        {
            set
            {
                AddQueryStringParameter("blockType", value.ToString());
            }
        }

        public Guid blockId
        {
            set
            {
                AddQueryStringParameter("blockId", value.ToString("B"));
            }
        }

        public sm_detailsappointmentpane_aspx()
            : base(url)
        {
        }
        public sm_detailsappointmentpane_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class sm_customizableform_aspx : CrmRequest
    {
        // server URL
        public const string url = "/sm/customizableForm.aspx";

        public int type
        {
            set
            {
                AddQueryStringParameter("type", value.ToString());
            }
        }

        public Guid id
        {
            set
            {
                AddQueryStringParameter("id", value.ToString("B"));
            }
        }

        public Guid tabID
        {
            set
            {
                AddQueryStringParameter("tabID", value.ToString("B"));
            }
        }

        public sm_customizableform_aspx()
            : base(url)
        {
        }
        public sm_customizableform_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class activities_serviceappointment_edit_aspx : CrmRequest
    {
        // server URL
        public const string url = "/activities/serviceappointment/edit.aspx";

        public DateTime _StartTime
        {
            set
            {
                AddQueryStringParameter("_StartTime", value.ToString("s"));
            }
        }

        public bool loadDialog
        {
            set
            {
                AddQueryStringParameter("loadDialog", value.ToString());
            }
        }

        public activities_serviceappointment_edit_aspx()
            : base(url)
        {
        }
        public activities_serviceappointment_edit_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class sm_activityscheduling_schedulingdialog_aspx : CrmRequest
    {
        // server URL
        public const string url = "/sm/activityscheduling/schedulingdialog.aspx";

        public Guid ActivityId
        {
            set
            {
                AddQueryStringParameter("ActivityId", value.ToString("B"));
            }
        }

        public int ActivityTypeCode
        {
            set
            {
                AddQueryStringParameter("ActivityTypeCode", value.ToString());
            }
        }

        public sm_activityscheduling_schedulingdialog_aspx()
            : base(url)
        {
        }
        public sm_activityscheduling_schedulingdialog_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class cs_home_cases_aspx : CrmRequest
    {
        // server URL
        public const string url = "/cs/home_cases.aspx";

        public cs_home_cases_aspx()
            : base(url)
        {
        }
        public cs_home_cases_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class cs_cases_edit_aspx : CrmRequest
    {
        // server URL
        public const string url = "/cs/cases/edit.aspx";

        // querystrings
        public Guid id
        {
            set
            {
                AddQueryStringParameter("id", value.ToString("B"));
            }
        }

        // formbody parameters
        public string crmFormSubmitXml
        {
            set
            {
                AddFormParameter("crmFormSubmitXml", value);
            }
        }

        public int crmFormSubmitMode
        {
            set
            {
                AddFormParameter("crmFormSubmitMode", value.ToString());
            }
        }

        public bool crmFormUserModified
        {
            set
            {
                AddFormParameter("crmFormUserModified", value.ToString());
            }
        }

        public Guid crmFormSubmitId
        {
            set
            {
                AddFormParameter("crmFormSubmitId", value.ToString("B"));
            }
        }

        public int crmFormSubmitObjectType
        {
            set
            {
                AddFormParameter("crmFormSubmitObjectType", value.ToString());
            }
        }

        public int crmFormSubmitSecurity
        {
            set
            {
                AddFormParameter("crmFormSubmitSecurity", value.ToString());
            }
        }

        public int crmFormSubmitOnline
        {
            set
            {
                AddFormParameter("crmFormSubmitOnline", value.ToString());
            }
        }


        public string CRMWRPCToken
        {
            set
            {
                AddFormParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public Guid assignOwnerId
        {
            set
            {
                AddFormParameter("assignOwnerId", value.ToString("B"));
            }
        }

        public int assignOwnerType
        {
            set
            {
                AddFormParameter("assignOwnerType", value.ToString());
            }
        }

        public cs_cases_edit_aspx()
            : base(url)
        {
        }
        public cs_cases_edit_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class _controls_lookup_lookupsubject_aspx : CrmRequest
    {
        // server URL
        public const string url = "/_controls/lookup/lookupsubject.aspx";

        public _controls_lookup_lookupsubject_aspx()
            : base(url)
        {
        }
        public _controls_lookup_lookupsubject_aspx(CRMEntity user)
            : base(url, user)
        {
        }

        public string Class
        {
            set
            {
                AddQueryStringParameter("class", value);
            }
        }

        public string objecttypes
        {
            set
            {
                AddQueryStringParameter("objecttypes", value);
            }
        }

        public int browse
        {
            set
            {
                AddQueryStringParameter("browse", value.ToString());
            }
        }

        public int ShowNewButton
        {
            set
            {
                AddQueryStringParameter("ShowNewButton", value.ToString());
            }
        }

        public int ShowPropButton
        {
            set
            {
                AddQueryStringParameter("ShowPropButton", value.ToString());
            }
        }

        public int DefaultType
        {
            set
            {
                AddQueryStringParameter("DefaultType", value.ToString());
            }
        }

        public int ObjectType
        {
            set
            {
                AddQueryStringParameter("ObjectType", value.ToString());
            }
        }

        public int ObjectTypeCode
        {
            set
            {
                AddQueryStringParameter("ObjectTypeCode", value.ToString());
            }
        }

        public int Mode
        {
            set
            {
                AddQueryStringParameter("Mode", value.ToString());
            }
        }

        public int ColumnsOnly
        {
            set
            {
                AddQueryStringParameter("ColumnsOnly", value.ToString());
            }
        }

        public string searchvalue
        {
            set
            {
                AddQueryStringParameter("searchvalue", value);
            }
        }

        public Guid priceLevelId
        {
            set
            {
                AddQueryStringParameter("priceLevelId", value.ToString("B"));
            }
        }

        public Guid ObjectId
        {
            set
            {
                AddQueryStringParameter("ObjectId", value.ToString("B"));
            }
        }

        public Guid ProductId
        {
            set
            {
                AddQueryStringParameter("ProductId", value.ToString("B"));
            }
        }

    }

    public class _grid_cmds_dlg_assignqueue_aspx : CrmRequest
    {
        // server URL
        public const string url = "/_grid/cmds/dlg_assignqueue.aspx";

        public Guid uid
        {
            set
            {
                AddQueryStringParameter("uid", value.ToString("B"));
            }
        }

        public int pType
        {
            set
            {
                AddQueryStringParameter("pType", value.ToString());
            }
        }

        public int sQType
        {
            set
            {
                AddQueryStringParameter("sQType", value.ToString());
            }
        }

        public int FromForm
        {
            set
            {
                AddQueryStringParameter("FromForm", value.ToString());
            }
        }

        public int FromIncidentFrm
        {
            set
            {
                AddQueryStringParameter("FromIncidentFrm", value.ToString());
            }
        }

        public int iObjtype
        {
            set
            {
                AddQueryStringParameter("iObjType", value.ToString());
            }
        }

        public int iTotal
        {
            set
            {
                AddQueryStringParameter("iTotal", value.ToString());
            }
        }

        public _grid_cmds_dlg_assignqueue_aspx()
            : base(url)
        {
        }
        public _grid_cmds_dlg_assignqueue_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class tools_Admin_admin_aspx : CrmRequest
    {
        public const string url = "/tools/Admin/admin.aspx";

        public int pid
        {
            set
            {
                AddQueryStringParameter("pid", value.ToString());
            }
        }

        public tools_Admin_admin_aspx()
            : base(url)
        {
        }
        public tools_Admin_admin_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }
    
    public class tools_home_tools_aspx : CrmRequest
    {
        // server URL
        public const string url = "/tools/home_tools.aspx";

        public int pid
        {
            set
            {
                AddQueryStringParameter("pid", value.ToString());
            }
        }

        public tools_home_tools_aspx()
            : base(url)
        {
        }
        public tools_home_tools_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class tools_business_home_role_aspx : CrmRequest
    {
        // server URL
        public const string url = "/tools/business/home_role.aspx";

        public tools_business_home_role_aspx()
            : base(url)
        {
        }
        public tools_business_home_role_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class tools_business_business_aspx : CrmRequest
    {
        // server URL
        public const string url = "/tools/business/business.aspx";

        //querystring parameters

        public int pid
        {
            set
            {
                AddQueryStringParameter("pid", value.ToString());
            }
        }

        public tools_business_business_aspx()
            : base(url)
        {
        }
        public tools_business_business_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class tools_productcatalog_productcatalog_aspx : CrmRequest
    {
        // server URL
        public const string url = "/tools/productcatalog/productcatalog.aspx";

        public int pid
        {
            set
            {
                AddQueryStringParameter("pid", value.ToString());
            }
        }

        public tools_productcatalog_productcatalog_aspx()
            : base(url)
        {
        }
        public tools_productcatalog_productcatalog_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class tools_productcatalog_home_discounttype_aspx : CrmRequest
    {
        // server URL
        public const string url = "/tools/productcatalog/home_discounttype.aspx";

        public tools_productcatalog_home_discounttype_aspx()
            : base(url)
        {
        }
        public tools_productcatalog_home_discounttype_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class tools_productcatalog_dlg_create_aspx : CrmRequest
    {
        // server URL
        public const string url = "/tools/ProductCatalog/dlg_create.aspx";

        public int ObjType
        {
            set
            {
                AddQueryStringParameter("ObjType", value.ToString());
            }
        }

        public tools_productcatalog_dlg_create_aspx()
            : base(url)
        {
        }
        public tools_productcatalog_dlg_create_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class products_discounttype_edit_aspx : CrmRequest
    {
        // server URL
        public const string url = "/products/discounttype/edit.aspx";

        public string name
        {
            set
            {
                AddQueryStringParameter("name", value);
            }
        }

        public int isamounttype
        {
            set
            {
                AddQueryStringParameter("isamounttype", value.ToString());
            }
        }

        public string CRMWRPCToken
        {
            set
            {
                AddQueryStringParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddQueryStringParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public products_discounttype_edit_aspx()
            : base(url)
        {
        }
        public products_discounttype_edit_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }


    public class biz_roles_edit_aspx : CrmRequest
    {
        // server URL
        public const string url = "/biz/roles/edit.aspx";

        public Guid id
        {
            set
            {
                AddQueryStringParameter("id", value.ToString("B"));
            }
        }

        // formbody parameters
        public string crmFormSubmitXml
        {
            set
            {
                AddFormParameter("crmFormSubmitXml", value);
            }
        }

        public int crmFormSubmitMode
        {
            set
            {
                AddFormParameter("crmFormSubmitMode", value.ToString());
            }
        }

        public Guid crmFormSubmitId
        {
            set
            {
                AddFormParameter("crmFormSubmitId", value.ToString("B"));
            }
        }

        public int crmFormSubmitObjectType
        {
            set
            {
                AddFormParameter("crmFormSubmitObjectType", value.ToString());
            }
        }

        public int crmFormSubmitSecurity
        {
            set
            {
                AddFormParameter("crmFormSubmitSecurity", value.ToString());
            }
        }

        public int crmFormSubmitOnline
        {
            set
            {
                AddFormParameter("crmFormSubmitOnline", value.ToString());
            }
        }


        public string CRMWRPCToken
        {
            set
            {
                AddFormParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public biz_roles_edit_aspx()
            : base(url)
        {
        }
        public biz_roles_edit_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class tools_business_home_user_aspx : CrmRequest
    {
        // server URL
        public const string url = "/tools/business/home_user.aspx";

        public int pid
        {
            set
            {
                AddQueryStringParameter("pid", value.ToString());
            }
        }

        public tools_business_home_user_aspx()
            : base(url)
        {
        }
        public tools_business_home_user_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class biz_users_edit_aspx : CrmRequest
    {
        // server URL
        public const string url = "/biz/users/edit.aspx";

        public Guid id
        {
            set
            {
                AddQueryStringParameter("id", value.ToString("B"));
            }
        }

        // formbody parameters
        public string crmFormSubmitXml
        {
            set
            {
                AddFormParameter("crmFormSubmitXml", value);
            }
        }

        public int crmFormSubmitMode
        {
            set
            {
                AddFormParameter("crmFormSubmitMode", value.ToString());
            }
        }

        public Guid crmFormSubmitId
        {
            set
            {
                AddFormParameter("crmFormSubmitId", value.ToString("B"));
            }
        }

        public int crmFormSubmitObjectType
        {
            set
            {
                AddFormParameter("crmFormSubmitObjectType", value.ToString());
            }
        }

        public int crmFormSubmitSecurity
        {
            set
            {
                AddFormParameter("crmFormSubmitSecurity", value.ToString());
            }
        }

        public int crmFormSubmitOnline
        {
            set
            {
                AddFormParameter("crmFormSubmitOnline", value.ToString());
            }
        }


        public string CRMWRPCToken
        {
            set
            {
                AddFormParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public biz_users_edit_aspx()
            : base(url)
        {
        }
        public biz_users_edit_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class biz_users_areas_aspx : CrmRequest
    {
        // server URL
        public const string url = "/biz/users/areas.aspx";

        public Guid oId
        {
            set
            {
                AddQueryStringParameter("oId", value.ToString("B"));
            }
        }

        public int oType
        {
            set
            {
                AddQueryStringParameter("oType", value.ToString());
            }
        }

        public long security
        {
            set
            {
                AddQueryStringParameter("security", value.ToString());
            }
        }

        public string tabSet
        {
            set
            {
                AddQueryStringParameter("tabSet", value);
            }
        }


        public biz_users_areas_aspx()
            : base(url)
        {
        }
        public biz_users_areas_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class tools_systemcustomization_systemcustomization_aspx : CrmRequest
    {
        // server URL
        public const string url = "/tools/systemcustomization/systemcustomization.aspx";

        public int pid
        {
            set
            {
                AddQueryStringParameter("pid", value.ToString());
            }
        }


        public tools_systemcustomization_systemcustomization_aspx()
            : base(url)
        {
        }
        public tools_systemcustomization_systemcustomization_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class tools_systemcustomization_entities_entitylist_aspx : CrmRequest
    {
        // server URL
        public const string url = "/tools/systemcustomization/Entities/entityList.aspx";


        public tools_systemcustomization_entities_entitylist_aspx()
            : base(url)
        {
        }
        public tools_systemcustomization_entities_entitylist_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class tools_systemcustomization_entities_manageentity_aspx : CrmRequest
    {
        // server URL
        public const string url = "/tools/systemcustomization/Entities/manageEntity.aspx";

        public Guid entityId
        {
            set
            {
                AddQueryStringParameter("entityId", value.ToString("B"));
            }
        }

        public tools_systemcustomization_entities_manageentity_aspx()
            : base(url)
        {
        }
        public tools_systemcustomization_entities_manageentity_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class tools_systemcustomization_attributes_attributelist_aspx : CrmRequest
    {
        // server URL
        public const string url = "/Tools/SystemCustomization/Attributes/attributeList.aspx";

        public Guid entityId
        {
            set
            {
                AddQueryStringParameter("entityId", value.ToString("B"));
            }
        }

        public tools_systemcustomization_attributes_attributelist_aspx()
            : base(url)
        {
        }
        public tools_systemcustomization_attributes_attributelist_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class tools_systemcustomization_attributes_manageattribute_aspx : CrmRequest
    {
        // server URL
        public const string url = "/Tools/SystemCustomization/Attributes/manageAttribute.aspx";

        public Guid entityId
        {
            set
            {
                AddQueryStringParameter("entityId", value.ToString("B"));
            }
        }

        public tools_systemcustomization_attributes_manageattribute_aspx()
            : base(url)
        {
        }
        public tools_systemcustomization_attributes_manageattribute_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class tools_relationshiprolemanager_home_aspx : CrmRequest
    {
        // server URL
        public const string url = "/tools/relationshiprolemanager/home.aspx";

        public tools_relationshiprolemanager_home_aspx()
            : base(url)
        {
        }
        public tools_relationshiprolemanager_home_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class tools_relationshiproleeditor_edit_aspx : CrmRequest
    {
        // server URL
        public const string url = "/tools/relationshiproleeditor/edit.aspx";

        public Guid entityId
        {
            set
            {
                AddQueryStringParameter("entityId", value.ToString("B"));
            }
        }

        // formbody parameters
        public string crmFormSubmitXml
        {
            set
            {
                AddFormParameter("crmFormSubmitXml", value);
            }
        }

        public int crmFormSubmitMode
        {
            set
            {
                AddFormParameter("crmFormSubmitMode", value.ToString());
            }
        }

        public bool crmFormUserModified
        {
            set
            {
                AddFormParameter("crmFormUserModified", value.ToString());
            }
        }

        public Guid crmFormSubmitId
        {
            set
            {
                AddFormParameter("crmFormSubmitId", value.ToString("B"));
            }
        }

        public int crmFormSubmitObjectType
        {
            set
            {
                AddFormParameter("crmFormSubmitObjectType", value.ToString());
            }
        }

        public int crmFormSubmitSecurity
        {
            set
            {
                AddFormParameter("crmFormSubmitSecurity", value.ToString());
            }
        }

        public int crmFormSubmitOnline
        {
            set
            {
                AddFormParameter("crmFormSubmitOnline", value.ToString());
            }
        }


        public string CRMWRPCToken
        {
            set
            {
                AddFormParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public tools_relationshiproleeditor_edit_aspx()
            : base(url)
        {
        }
        public tools_relationshiproleeditor_edit_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class biz_business_edit_aspx : CrmRequest
    {
        // server URL
        public const string url = "/biz/business/edit.aspx";

        public Guid id
        {
            set
            {
                AddQueryStringParameter("id", value.ToString("B"));
            }
        }

        // formbody parameters
        public string crmFormSubmitXml
        {
            set
            {
                AddFormParameter("crmFormSubmitXml", value);
            }
        }

        public int crmFormSubmitMode
        {
            set
            {
                AddFormParameter("crmFormSubmitMode", value.ToString());
            }
        }

        public Guid crmFormSubmitId
        {
            set
            {
                AddFormParameter("crmFormSubmitId", value.ToString("B"));
            }
        }

        public bool crmFormUserModified
        {
            set
            {
                AddFormParameter("crmFormUserModified", value.ToString());
            }
        }

        public int crmFormSubmitObjectType
        {
            set
            {
                AddFormParameter("crmFormSubmitObjectType", value.ToString());
            }
        }

        public int crmFormSubmitSecurity
        {
            set
            {
                AddFormParameter("crmFormSubmitSecurity", value.ToString());
            }
        }

        public int crmFormSubmitOnline
        {
            set
            {
                AddFormParameter("crmFormSubmitOnline", value.ToString());
            }
        }


        public string CRMWRPCToken
        {
            set
            {
                AddFormParameter("CRMWRPCToken", value);
            }
        }

        public long CRMWRPCTokenTimeStamp
        {
            set
            {
                AddFormParameter("CRMWRPCTokenTimeStamp", value.ToString());
            }
        }

        public biz_business_edit_aspx()
            : base(url)
        {
        }
        public biz_business_edit_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class tools_business_home_biz_aspx : CrmRequest
    {
        // server URL
        public const string url = "/tools/business/home_biz.aspx";

        public tools_business_home_biz_aspx()
            : base(url)
        {
        }
        public tools_business_home_biz_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class _forms_controls_form_css_aspx : CrmRequest
    {
        // server URL
        public const string url = "/_forms/controls/form.css.aspx";

        public int lcid
        {
            set
            {
                AddQueryStringParameter("lcid", value.ToString());
            }
        }

        public _forms_controls_form_css_aspx()
            : base(url)
        {
        }
        public _forms_controls_form_css_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class _forms_contols_controls_css_aspx : CrmRequest
    {
        // server URL
        public const string url = "/_forms/controls/controls.css.aspx";

        public _forms_contols_controls_css_aspx()
            : base(url)
        {
        }

        public _forms_contols_controls_css_aspx(string crmServer)
            : base(url)
        {
            this.Url = crmServer + this.Url;
            this.ParseDependentRequests = false;
            if (ConfigSettings.Default.ParseDependentRequests != null)
            {
                try
                {
                    this.ParseDependentRequests = bool.Parse(ConfigSettings.Default.ParseDependentRequests);
                }
                catch (Exception e)
                {
                    System.Diagnostics.Debug.WriteLine(e.ToString());
                }
            }
        }

        public _forms_contols_controls_css_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class _common_styles_dialogs_css_aspx : CrmRequest
    {
        // server URL
        public const string url = "/_common/styles/dialogs.css.aspx";

        public int lcid
        {
            set
            {
                AddQueryStringParameter("lcid", value.ToString());
            }
        }

        public _common_styles_dialogs_css_aspx()
            : base(url)
        {
        }
        public _common_styles_dialogs_css_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class _controls_lookup_lookupdialogs_css_aspx : CrmRequest
    {
        // server URL
        public const string url = "/_controls/lookup/lookupdialogs.css.aspx";

        public int lcid
        {
            set
            {
                AddQueryStringParameter("lcid", value.ToString());
            }
        }

        public _controls_lookup_lookupdialogs_css_aspx()
            : base(url)
        {
        }
        public _controls_lookup_lookupdialogs_css_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class _grid_cmds_dlg_assign_aspx : CrmRequest
    {
        // server URL
        public const string url = "/_grid/cmds/dlg_assign.aspx";

        public Guid pId
        {
            set
            {
                AddQueryStringParameter("pId", value.ToString("B"));
            }
        }

        public int pType
        {
            set
            {
                AddQueryStringParameter("pType", value.ToString());
            }
        }

        public int iObjType
        {
            set
            {
                AddQueryStringParameter("iObjType", value.ToString());
            }
        }

        public int iTotal
        {
            set
            {
                AddQueryStringParameter("iTotal", value.ToString());
            }
        }

        public string sIds
        {
            set
            {
                AddQueryStringParameter("sIds", value);
            }
        }

        public int iIndex
        {
            set
            {
                AddQueryStringParameter("iIndex", value.ToString());
            }
        }

        public Guid ownerId
        {
            set
            {
                AddQueryStringParameter("ownerId", value.ToString("B"));
            }
        }

        public int ownerType
        {
            set
            {
                AddQueryStringParameter("ownerType", value.ToString());
            }
        }

        public Guid iId
        {
            set
            {
                AddQueryStringParameter("iId", value.ToString("B"));
            }
        }

        public _grid_cmds_dlg_assign_aspx()
            : base(url)
        {
        }
        public _grid_cmds_dlg_assign_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class _grid_cmds_dlg_copyto_aspx : CrmRequest
    {
        // server URL
        public const string url = "/_grid/cmds/dlg_copyto.aspx";

        public int iObjType
        {
            set
            {
                AddQueryStringParameter("iObjType", value.ToString());
            }
        }

        public Guid pId
        {
            set
            {
                AddQueryStringParameter("pId", value.ToString("B"));
            }
        }

        public int pType
        {
            set
            {
                AddQueryStringParameter("pType", value.ToString());
            }
        }

        public int iTotal
        {
            set
            {
                AddQueryStringParameter("iTotal", value.ToString());
            }
        }

        public string sIds
        {
            set
            {
                AddQueryStringParameter("sIds", value);
            }
        }

        public int iIndex
        {
            set
            {
                AddQueryStringParameter("iIndex", value.ToString());
            }
        }

        public Guid ownerId
        {
            set
            {
                AddQueryStringParameter("ownerId", value.ToString("B"));
            }
        }

        public int ownerType
        {
            set
            {
                AddQueryStringParameter("ownerType", value.ToString());
            }
        }

        public Guid iId
        {
            set
            {
                AddQueryStringParameter("iId", value.ToString("B"));
            }
        }

        public Guid itemObjectId
        {
            set
            {
                AddQueryStringParameter("itemObjectId", value.ToString("B"));
            }
        }

        public int itemObjectTypeCode
        {
            set
            {
                AddQueryStringParameter("itemObjectTypeCode", value.ToString());
            }
        }

        public _grid_cmds_dlg_copyto_aspx()
            : base(url)
        {
        }
        public _grid_cmds_dlg_copyto_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class _grid_cmds_dlg_share_aspx : CrmRequest
    {
        // server URL
        public const string url = "/_grid/cmds/dlg_share.aspx";

        public Guid pId
        {
            set
            {
                AddQueryStringParameter("pId", value.ToString("B"));
            }
        }

        public int pType
        {
            set
            {
                AddQueryStringParameter("pType", value.ToString());
            }
        }

        public int iObjType
        {
            set
            {
                AddQueryStringParameter("iObjType", value.ToString());
            }
        }

        public int iTotal
        {
            set
            {
                AddQueryStringParameter("iTotal", value.ToString());
            }
        }

        public string sIds
        {
            set
            {
                AddQueryStringParameter("sIds", value);
            }
        }

        public int iIndex
        {
            set
            {
                AddQueryStringParameter("iIndex", value.ToString());
            }
        }

        public Guid ownerId
        {
            set
            {
                AddQueryStringParameter("ownerId", value.ToString("B"));
            }
        }

        public int ownerType
        {
            set
            {
                AddQueryStringParameter("ownerType", value.ToString());
            }
        }

        public Guid iId
        {
            set
            {
                AddQueryStringParameter("iId", value.ToString("B"));
            }
        }

        public string action
        {
            set
            {
                AddQueryStringParameter("action", value);
            }
        }

        public _grid_cmds_dlg_share_aspx()
            : base(url)
        {
        }
        public _grid_cmds_dlg_share_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class _grid_cmds_dlg_listcaassociation_aspx : CrmRequest
    {
        // server URL
        public const string url = "/_grid/cmds/dlg_listcaassociation.aspx";

        public Guid pId
        {
            set
            {
                AddQueryStringParameter("pId", value.ToString("B"));
            }
        }

        public int pType
        {
            set
            {
                AddQueryStringParameter("pType", value.ToString());
            }
        }

        public int iObjType
        {
            set
            {
                AddQueryStringParameter("iObjType", value.ToString());
            }
        }

        public int iTotal
        {
            set
            {
                AddQueryStringParameter("iTotal", value.ToString());
            }
        }

        public string sIds
        {
            set
            {
                AddQueryStringParameter("sIds", value);
            }
        }

        public int iIndex
        {
            set
            {
                AddQueryStringParameter("iIndex", value.ToString());
            }
        }

        public Guid ownerId
        {
            set
            {
                AddQueryStringParameter("ownerId", value.ToString("B"));
            }
        }

        public int ownerType
        {
            set
            {
                AddQueryStringParameter("ownerType", value.ToString());
            }
        }

        public Guid iId
        {
            set
            {
                AddQueryStringParameter("iId", value.ToString("B"));
            }
        }

        public string action
        {
            set
            {
                AddQueryStringParameter("action", value);
            }
        }

        public _grid_cmds_dlg_listcaassociation_aspx()
            : base(url)
        {
        }
        public _grid_cmds_dlg_listcaassociation_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class _grid_cmds_dlg_listfax_aspx : CrmRequest
    {
        // server URL
        public const string url = "/_grid/cmds/dlg_listfax.aspx";

        public Guid pId
        {
            set
            {
                AddQueryStringParameter("pId", value.ToString("B"));
            }
        }

        public int pType
        {
            set
            {
                AddQueryStringParameter("pType", value.ToString());
            }
        }

        public int iObjType
        {
            set
            {
                AddQueryStringParameter("iObjType", value.ToString());
            }
        }

        public int iTotal
        {
            set
            {
                AddQueryStringParameter("iTotal", value.ToString());
            }
        }

        public string sIds
        {
            set
            {
                AddQueryStringParameter("sIds", value);
            }
        }

        public int iIndex
        {
            set
            {
                AddQueryStringParameter("iIndex", value.ToString());
            }
        }

        public bool SendEmail
        {
            set
            {
                AddQueryStringParameter("SendEmail", value.ToString());
            }
        }

        public Guid ownerId
        {
            set
            {
                AddQueryStringParameter("ownerId", value.ToString("B"));
            }
        }

        public int ownerType
        {
            set
            {
                AddQueryStringParameter("ownerType", value.ToString());
            }
        }

        public Guid iId
        {
            set
            {
                AddQueryStringParameter("iId", value.ToString("B"));
            }
        }

        public string action
        {
            set
            {
                AddQueryStringParameter("action", value);
            }
        }

        public int OwnerOption
        {
            set
            {
                AddQueryStringParameter("OwnerOption", value.ToString());
            }
        }

        public _grid_cmds_dlg_listfax_aspx()
            : base(url)
        {
        }
        public _grid_cmds_dlg_listfax_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class _grid_cmds_getshareaccess_xsl : CrmRequest
    {
        // server URL
        public const string url = "/_grid/cmds/getshareaccess.xsl";

        public _grid_cmds_getshareaccess_xsl()
            : base(url)
        {
        }
        public _grid_cmds_getshareaccess_xsl(CRMEntity user)
            : base(url, user)
        {
        }

        public _grid_cmds_getshareaccess_xsl(string crmServer)
            : base(url)
        {
            this.Url = crmServer + this.Url;
            this.ParseDependentRequests = false;
            if (ConfigSettings.Default.ParseDependentRequests != null)
            {
                try
                {
                    this.ParseDependentRequests = bool.Parse(ConfigSettings.Default.ParseDependentRequests);
                }
                catch (Exception e)
                {
                    System.Diagnostics.Debug.WriteLine(e.ToString());
                }
            }
        }
    }

    public class _grid_cmds_dlg_addtolist_aspx : CrmRequest
    {
        // server URL
        public const string url = "/_grid/cmds/dlg_addtolist.aspx";

        public Guid pId
        {
            set
            {
                AddQueryStringParameter("pId", value.ToString("B"));
            }
        }

        public int pType
        {
            set
            {
                AddQueryStringParameter("pType", value.ToString());
            }
        }

        public int iObjType
        {
            set
            {
                AddQueryStringParameter("iObjType", value.ToString());
            }
        }

        public int iTotal
        {
            set
            {
                AddQueryStringParameter("iTotal", value.ToString());
            }
        }

        public string sIds
        {
            set
            {
                AddQueryStringParameter("sIds", value);
            }
        }

        public int iIndex
        {
            set
            {
                AddQueryStringParameter("iIndex", value.ToString());
            }
        }

        public Guid ownerId
        {
            set
            {
                AddQueryStringParameter("ownerId", value.ToString("B"));
            }
        }

        public int ownerType
        {
            set
            {
                AddQueryStringParameter("ownerType", value.ToString());
            }
        }

        public Guid iId
        {
            set
            {
                AddQueryStringParameter("iId", value.ToString("B"));
            }
        }

        public string action
        {
            set
            {
                AddQueryStringParameter("action", value);
            }
        }

        public int autoTrigger
        {
            set
            {
                AddQueryStringParameter("autoTrigger", value.ToString());
            }
        }

        public Guid itemObjectId
        {
            set
            {
                AddQueryStringParameter("itemObjectId", value.ToString("B"));
            }
        }

        public int itemObjectTypeCode
        {
            set
            {
                AddQueryStringParameter("itemObjectTypeCode", value.ToString());
            }
        }

        public _grid_cmds_dlg_addtolist_aspx()
            : base(url)
        {
        }
        public _grid_cmds_dlg_addtolist_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class CRMReports_home_reports_aspx : CrmRequest
    {
        // server URL
        private const string url = "/CRMReports/home_reports.aspx";


        public CRMReports_home_reports_aspx()
            : base(url)
        {
        }
        public CRMReports_home_reports_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class Reserved_ReportViewerWebControl_axd : CrmRequest
    {
        private const string url = "";

        public Reserved_ReportViewerWebControl_axd()
            : base(url)
        {
        }
        public Reserved_ReportViewerWebControl_axd(CRMEntity user)
            : base(url, user)
        {
        }

        public Reserved_ReportViewerWebControl_axd(string crmServer)
            : base(url)
        {
            this.Url = crmServer + this.Url;
            this.ParseDependentRequests = false;
            if (ConfigSettings.Default.ParseDependentRequests != null)
            {
                try
                {
                    this.ParseDependentRequests = bool.Parse(ConfigSettings.Default.ParseDependentRequests);
                }
                catch (Exception e)
                {
                    System.Diagnostics.Debug.WriteLine(e.ToString());
                }
            }
            this.ValidateResponse += new EventHandler<ValidationEventArgs>(CrmRequest_ValidateResponse);
        }
    }

    public class CRMReports_rsviewer_reportviewer_aspx : CrmRequest
    {
        // server URL
        private const string url = "/CRMReports/rsviewer/reportviewer.aspx";

        public string __EVENTTARGET
        {
            set
            {
                AddFormParameter("__EVENTTARGET", value);
            }
        }

        public string __EVENTARGUMENT
        {
            set
            {
                AddFormParameter("__EVENTARGUMENT", value);
            }
        }

        public string __VIEWSTATE
        {
            set
            {
                AddFormParameter("__VIEWSTATE", value);
            }
        }

        public string __EVENTVALIDATION
        {
            set
            {
                AddFormParameter("__EVENTVALIDATION", value);
            }
        }

        public string uniquename
        {
            set
            {
                AddFormParameter("uniquename", value);
            }
        }

        public Guid id
        {
            set
            {
                AddFormParameter("id", value.ToString("B"));
            }
        }

        public bool isScheduledReport
        {
            set
            {
                AddFormParameter("isScheduledReport", value.ToString());
            }
        }

        public string CRM_filter
        {
            set
            {
                AddFormParameter("CRM_filter", value);
            }
        }

        public string CRM_filterText
        {
            set
            {
                AddFormParameter("CRM_filterText", value);
            }
        }

        public CRMReports_rsviewer_reportviewer_aspx()
            : base(url)
        {
        }
        public CRMReports_rsviewer_reportviewer_aspx(CRMEntity user)
            : base(url, user)
        {
        }
        public CRMReports_rsviewer_reportviewer_aspx(string crmServer)
            : base(url)
        {
            this.Url = crmServer + this.Url;
            this.ParseDependentRequests = false;
            if (ConfigSettings.Default.ParseDependentRequests != null)
            {
                try
                {
                    this.ParseDependentRequests = bool.Parse(ConfigSettings.Default.ParseDependentRequests);
                }
                catch (Exception e)
                {
                    System.Diagnostics.Debug.WriteLine(e.ToString());
                }
            }
            this.ValidateResponse += new EventHandler<ValidationEventArgs>(CrmRequest_ValidateResponse);
        }
    }

    public class crmreports_viewer_viewer_aspx : CrmRequest
    {
        // server URL
        public const string url = "/CrmReports/Viewer/viewer.aspx";

        public Guid id
        {
            set
            {
                AddQueryStringParameter("id", value.ToString("B"));
            }
        }

        public string helpId
        {
            set
            {
                AddQueryStringParameter("helpid", value.ToString());
            }
        }

        public string action
        {
            set
            {
                AddQueryStringParameter("action", value.ToString());
            }
        }



        public crmreports_viewer_viewer_aspx()
            : base(url)
        {
        }
        public crmreports_viewer_viewer_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class _user_summary_report : SqlRequest
    {
        // server URL
        private const string url = "/ReportServer/Pages/ReportViewer.aspx";

        // querystring parameters

        public string UserSummary
        {
            set
            {
                AddQueryStringParameter("", value.ToString());

            }
        }

        public string CRM_FilteredSystemUser
        {
            set
            {
                AddFormParameter("CRM_FilteredSystemUser", value.ToString());
            }
        }

        public string CRM_FilterText
        {
            set
            {
                AddFormParameter("CRM_FilterText", value.ToString());
            }
        }

        public string rsFormat
        {
            set
            {
                AddQueryStringParameter("rs:Format", value.ToString());
            }

        }
        public string rcToolbar
        {
            set
            {
                AddFormParameter("rc:Toolbar", value.ToString());
            }
        }

        public string rcLinkTarget
        {
            set
            {
                AddFormParameter("rc:LinkTarget", value.ToString());
            }
        }

        public string rcReplacementRoot
        {
            set
            {
                AddFormParameter("rc:ReplacementRoot", value.ToString());
            }
        }

        public string rcStylesheet
        {
            set
            {
                AddFormParameter("rc:Stylesheet", value.ToString());
            }
        }

        public string rcJavaScript
        {
            set
            {
                AddQueryStringParameter("rc:JavaScript", value.ToString());
            }
        }

        public string rcArea
        {
            set
            {
                AddQueryStringParameter("rc:Area", value.ToString());
            }
        }
        public _user_summary_report()
            : base(url)
        {
        }

    }

    public class _sales_history_report : SqlRequest
    {
        // server URL
        private const string url = "/ReportServer/Pages/ReportViewer.aspx";

        // querystring parameters

        public string SalesHistory
        {
            set
            {
                AddQueryStringParameter("", value.ToString());

            }
        }

        public string rsFormat
        {
            set
            {
                AddQueryStringParameter("rs:Format", value.ToString());
            }

        }

        public string rcToolbar
        {
            set
            {
                AddFormParameter("rc:Toolbar", value);
            }
        }

        public string rcLinkTarget
        {
            set
            {
                AddFormParameter("rc:LinkTarget", value);
            }
        }

        public string rcReplacementRoot
        {
            set
            {
                AddFormParameter("rc:ReplacementRoot", value);
            }
        }

        public string rcStylesheet
        {
            set
            {
                AddFormParameter("rc:Stylesheet", value);
            }
        }

        public string CRMURL
        {
            set
            {
                AddFormParameter("CRM_URL", value);
            }
        }

        public string rcJavaScript
        {
            set
            {
                AddQueryStringParameter("rc:JavaScript", value.ToString());
            }
        }

        public string rcArea
        {
            set
            {
                AddQueryStringParameter("rc:Area", value.ToString());
            }
        }



        public string CRMFilterText
        {
            set
            {
                AddFormParameter("CRM_FilterText", value);
            }
        }

        public string CRMFilterOpp
        {
            set
            {
                AddFormParameter("CRM_FilteredOpportunity", value);
            }
        }

        public string CRMFullName
        {
            set
            {
                AddQueryStringParameter("CRM_FullName", value);
            }
        }

        public string CRMCurrency
        {
            set
            {
                AddQueryStringParameter("CRM_Currency_2", value);
            }
        }

        public string CRMLocate
        {
            set
            {
                AddQueryStringParameter("CRM_Locale", value);
            }
        }

        public _sales_history_report()
            : base(url)
        {
        }

    }

    public class _sales_pipeline_report : SqlRequest
    {
        // server URL
        private const string url = "/ReportServer/Pages/ReportViewer.aspx";

        // querystring parameters

        public string SalesHistory
        {
            set
            {
                AddQueryStringParameter("", value.ToString());

            }
        }


        public string rsFormat
        {
            set
            {
                AddQueryStringParameter("rs:Format", value.ToString());
            }

        }

        public string rcToolbar
        {
            set
            {
                AddFormParameter("rc:Toolbar", value);
            }
        }

        public string rcLinkTarget
        {
            set
            {
                AddFormParameter("rc:LinkTarget", value);
            }
        }

        public string rcReplacementRoot
        {
            set
            {
                AddFormParameter("rc:ReplacementRoot", value);
            }
        }

        public string rcStylesheet
        {
            set
            {
                AddFormParameter("rc:Stylesheet", value);
            }
        }

        public string CRMURL
        {
            set
            {
                AddFormParameter("CRM_URL", value);
            }
        }

        public string rcJavaScript
        {
            set
            {
                AddQueryStringParameter("rc:JavaScript", value.ToString());
            }
        }

        public string rcArea
        {
            set
            {
                AddQueryStringParameter("rc:Area", value.ToString());
            }
        }

        public string CRMFilterText
        {
            set
            {
                AddFormParameter("CRM_FilterText", value);
            }
        }

        public string CRMFilterOpp
        {
            set
            {
                AddFormParameter("CRM_FilteredOpportunity", value);
            }
        }

        public string CRMFormatDate
        {
            set
            {
                AddQueryStringParameter("CRM_FormatDate", value);
            }
        }
        public string CRMFormatTime
        {
            set
            {
                AddQueryStringParameter("CRM_FormatTime", value);
            }
        }
        public string CRMNotSpecified
        {
            set
            {
                AddQueryStringParameter("CRM_NotSpecified", value);
            }
        }
        public string CRMSortField
        {
            set
            {
                AddQueryStringParameter("CRM_SortField", value);
            }
        }
        public string GroupBySales
        {
            set
            {
                AddQueryStringParameter("GroupBySales", value);
            }
        }
        public string GroupBy
        {
            set
            {
                AddQueryStringParameter("GroupBy", value);
            }
        }
        public string SelectRevenue
        {
            set
            {
                AddQueryStringParameter("SelectRevenue", value);
            }
        }
        public string CRMShowAll
        {
            set
            {
                AddQueryStringParameter("CRM_ShowAll:isnull", value);
            }
        }
        public string CRMStage
        {
            set
            {
                AddQueryStringParameter("CRM_Stage:isnull", value);
            }
        }
        public string CRMSalesProcess
        {
            set
            {
                AddQueryStringParameter("CRM_SalesProcess:isnull", value);
            }
        }
        public string CRMFilteredOppProduct
        {
            set
            {
                AddQueryStringParameter("CRM_xxxfilteredopportunityproduct", value);
            }
        }
        public string CRMSortDirections
        {
            set
            {
                AddQueryStringParameter("CRM_SortDirection", value);
            }
        }
        public string CRMFullName
        {
            set
            {
                AddQueryStringParameter("CRM_FullName", value);
            }
        }

        public string CRMCurrency
        {
            set
            {
                AddQueryStringParameter("CRM_Currency_2", value);
            }
        }

        public string CRMLocate
        {
            set
            {
                AddQueryStringParameter("CRM_Locale", value);
            }
        }

        public _sales_pipeline_report()
            : base(url)
        {
        }

    }

    public class _campaign_activity_status_report : SqlRequest
    {
        // server URL
        private const string url = "/ReportServer/Pages/ReportViewer.aspx";

        // querystring parameters

        public string CampaignActivityStatus
        {
            set
            {
                AddQueryStringParameter("", value.ToString());

            }
        }


        public string rsFormat
        {
            set
            {
                AddQueryStringParameter("rs:Format", value.ToString());
            }

        }

        public string rcToolbar
        {
            set
            {
                AddFormParameter("rc:Toolbar", value);
            }
        }

        public string rcLinkTarget
        {
            set
            {
                AddFormParameter("rc:LinkTarget", value);
            }
        }

        public string rcReplacementRoot
        {
            set
            {
                AddFormParameter("rc:ReplacementRoot", value);
            }
        }

        public string rcStylesheet
        {
            set
            {
                AddFormParameter("rc:Stylesheet", value);
            }
        }

        public string CRMURL
        {
            set
            {
                AddFormParameter("CRM_URL", value);
            }
        }

        public string rcJavaScript
        {
            set
            {
                AddQueryStringParameter("rc:JavaScript", value.ToString());
            }
        }

        public string rcArea
        {
            set
            {
                AddQueryStringParameter("rc:Area", value.ToString());
            }
        }

        public string CRMFilterText
        {
            set
            {
                AddFormParameter("CRM_FilterText", value);
            }
        }

        public string CRMFilterCamp
        {
            set
            {
                AddQueryStringParameter("CRM_FilteredCampaignActivity", value);
            }
        }


        public _campaign_activity_status_report()
            : base(url)
        {
        }

    }

    public class tools_bulkimport_importwizard_aspx : CrmRequest
    {
        // server URL
        private const string url = "/Tools/BulkImport/ImportWizard.aspx";

        public tools_bulkimport_importwizard_aspx()
            : base(url)
        {
        }
        public tools_bulkimport_importwizard_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class tools_bulkimport_importfilechoose_aspx : CrmRequest
    {
        // server URL
        private const string url = "/Tools/BulkImport/ImportFileChoose.aspx";

        public tools_bulkimport_importfilechoose_aspx()
            : base(url)
        {
        }
        public tools_bulkimport_importfilechoose_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }

    public class tools_bulkimport_importfieldmap_aspx : CrmRequest
    {
        // server URL
        public const string url = "/Tools/BulkImport/importFieldMap.aspx";

        public string action
        {
            set
            {
                AddQueryStringParameter("action", value);
            }
        }

        public int EntityType
        {
            set
            {
                AddQueryStringParameter("EntityType", value.ToString());
            }
        }

        public Guid BulkImportId
        {
            set
            {
                AddQueryStringParameter("BulkImportId", value.ToString("B"));
            }
        }

        public Guid ObjectId
        {
            set
            {
                AddQueryStringParameter("ObjectId", value.ToString("B"));
            }
        }

        public int ObjectTypeCode
        {
            set
            {
                AddQueryStringParameter("ObjectTypeCode", value.ToString());
            }
        }

        public tools_bulkimport_importfieldmap_aspx()
            : base(url)
        {
        }
        public tools_bulkimport_importfieldmap_aspx(CRMEntity user)
            : base(url, user)
        {
        }
    }
}